REM *****************************************************************************
REM *		Zebra Command Convertor												*
REM *			System Mode BASIC												*
REM *			System Parameter Set											*
REM *				Z-EX4T1--S11.BAS	2011-05-14	Toshiba TEC						*
REM * CHANGED THE METHOD OF ADJUSTING THE LABEL SIZE PARAMETERS TO MATCH THE    *
REM * NORMAL SYSTEM MODE WAY TO SET EACH CHARACTER.                             *
REM *****************************************************************************
REM  XX-XX-XX   NAME         VER    CONTENTS
REM  11-04-25   DO-NOZAKI    V1.0   B-EX4T1T BASIC SYSTEM
REM  11-05-14   DO-AKAIKE    V1.1   B-EX4T1T/G BASIC SYSTEM
REM
REM ===============================================================================================
	MACHINE_TYPE% = 7										'B-EX4T1
REM '@틤 -------------------------------------------------------------------------------------
	TEMP_I%		= 0											'09-02-27 AIS: ǏIɂ̂ݗp\
	TEMP_S$		= ""										'09-02-27 AIS: ǏIɂ̂ݗp\
	LABEL_W_MIN%	= 100									'09-02-27 AIS: label width (Min.)
	LABEL_L_MAX%	= 15000									'09-02-27 AIS: label length (Max.)
	LABEL_L_MIN%	= 100									'09-02-27 AIS: label length (Min.)
	LABEL_MAX_MAX%	= 15000									'09-02-27 AIS: max length (Max.)
	LABEL_MAX_MIN%	= 100									'09-02-27 AIS: max length (Min.)
	TAB_SP_MAX%	= 99										'09-02-27 AIS: TAB->SP (Max.)
	TAB_SP_MIN%	= 0											'09-02-27 AIS: TAB->SP (Min.)
	RFID_ADJ_MAX%	= 9999									'09-02-27 AIS: RFID ADJUST (Max.)
	RFID_ADJ_MIN%	= 0										'09-02-27 AIS: RFID ADJUST (Min.)
	RIBBON%		= 1
	ZEBRADPM%	= 0
	PRINTMODE%	= 0											'08-05-20 Append
	SENSOR%		= 2											'09-11-20 Modify
	ZEBRAGRAPOS%	= 0
	P_ON_CALIB%	= 0											'09-02-27 AIS: POWER ON CALIB
	H_CLOSE_CALIB%	= 0										'09-02-27 AIS: HEAD CLOSE CALIB
	FORMATCONVERT%	= 0										'09-02-27 AIS: FORMAT CONVERT
	PRINTSPEED%	= 0											'09-02-27 AIS: PRINT SPEED
	MAXLENGTH%	= 5000										'09-02-27 AIS: MAXIMUM LENGTH
	CONTROLPREFIXH%	= 7										'09-02-27 AIS: CONTROL PREFIX high-nibble
	CONTROLPREFIXL%	= 14									'09-02-27 AIS: CONTROL PREFIX low-nibble
	FORMATPREFIXH%	= 5										'09-02-27 AIS: FORMAT PREFIX high-nibble
	FORMATPREFIXL%	= 14									'09-02-27 AIS: FORMAT PREFIX low-nibble
	DELIMITCHARH%	= 2										'09-02-27 AIS: DELIMITER CHAR high-nibble
	DELIMITCHARL%	= 12									'09-02-27 AIS: DELIMITER CHAR low-nibble : 12 = &H0C
	ZPL_LL_CMD%	= 0											'09-02-27 AIS: LABEL SIZE (LL)
	ZPL_MN_CMD%	= 0											'09-02-27 AIS: LABEL SIZE (MN)
	ZPL_MT_CMD%	= 0											'09-02-27 AIS: LABEL SIZE (MT)
	ZPL_SD_CMD%	= 0											'09-02-27 AIS: TONE ADJ (SD)
	ZPL_MD_CMD%	= 0											'09-02-27 AIS: TONE ADJ (MD)
	TAB_SP%		= 4											'09-02-27 AIS: TAB -> SP
	RFID_ADJUSTW$	= "+"									'09-02-27 AIS: RFID ADJUST (+/-)
	RFID_ADJUST%	= 0										'09-02-27 AIS: RFID ADJUST (000.0-999.9)
	OFFSET_PRINT%	= 0										'09-02-27 AIS: OFFSET PRINT
'
	LABEL_SHIFT_MAX%	= 9999								'09-08-11 DO-NOZAKI
	LABEL_SHIFT_MIN%	= 0									'09-08-11 DO-NOZAKI
	LABEL_SHIFTW$	= "+"									'09-08-11 DO-NOZAKI
	LABEL_SHIFT%	= 0										'09-08-11 DO-NOZAKI
REM 'ʃTu[`Ŏgp------------------------------------------------------------------------
	I2N_I_16%	= 0											'09-02-27 AIS: 
	I2N_NIBBLE_16$	= "0"									'09-02-27 AIS: 
REM ===============================================================================================
REM  @ˑf[^̐ݒ
REM ===============================================================================================
	IF MACHINE_TYPE% =  4 THEN GOTO *B_SX4_INIT				'
	IF MACHINE_TYPE% =  5 THEN GOTO *B_SX5_INIT				'
	IF MACHINE_TYPE% =  6 THEN GOTO *B_SA4_INIT				'
	IF MACHINE_TYPE% =  7 THEN GOTO *B_EX41_INIT			'
	IF MACHINE_TYPE% =  8 THEN GOTO *B_EX42_INIT			'
	IF MACHINE_TYPE% =  9 THEN GOTO *B_EX6_INIT				'
	IF MACHINE_TYPE% = 10 THEN GOTO *B_EX4H_INIT			'
	GOTO *B_SX4_INIT										'
REM -----------------------------------------------------------------------------------------------
REM  B-SX4 ˑ
REM -----------------------------------------------------------------------------------------------
*B_SX4_INIT
	DATA_DEFAULT$	= "01050,1040,1,0,0,2,0,3,05000,0,0,0,7E,5E,2C,0,0,0,0,0,04,+0000,0,+0000"	'B-SX4 l
	LABEL_W_MAX%	= 1040									'09-02-27 AIS: label width (Max.)
	LABELLENGTH%	= 1050									'09-02-27 AIS: 
	LABELWIDTH%	= 1040										'09-02-27 AIS: 
	DPM_HIGH_MSG$	= "        8dots/mm"					'09-02-27 AIS: 
	DPM_LOW_MSG$	= "        4dots/mm"					'09-02-27 AIS: 
	DIM PRINT_SPEED$(2)										'09-02-27 AIS: PRINT SPEED
	DIM PRN_SPEED_MSG$(2)									'09-02-27 AIS: PRINT SPEED
	PRINT_SPEED$(0)	= "3"									'09-02-27 AIS: PRINT SPEED
	PRINT_SPEED$(1)	= "6"									'09-02-27 AIS: PRINT SPEED
	PRINT_SPEED$(2)	= "A"									'09-02-27 AIS: PRINT SPEED
	PRN_SPEED_MSG$(0) = "      3 inch/sec"					'09-02-27 AIS: PRINT SPEED
	PRN_SPEED_MSG$(1) = "      6 inch/sec"					'09-02-27 AIS: PRINT SPEED
	PRN_SPEED_MSG$(2) = "     10 inch/sec"					'09-02-27 AIS: PRINT SPEED
	WITH_RBN_SAVE%	= 1										'11-05-14 DO :
	GOTO *INIT_END											'09-02-27 AIS: 
REM -----------------------------------------------------------------------------------------------
REM  B-SX5 ˑ
REM -----------------------------------------------------------------------------------------------
*B_SX5_INIT
	DATA_DEFAULT$	= "01050,1280,1,0,0,2,0,3,05000,0,0,0,7E,5E,2C,0,0,0,0,0,04,+0000,0,+0000"	'B-SX5 l
	LABEL_W_MAX%	= 1280									'09-02-27 AIS: 
	LABELLENGTH%	= 1050									'09-02-27 AIS: 
	LABELWIDTH%	= 1280										'09-02-27 AIS: 
	DPM_HIGH_MSG$	= "       12dots/mm"					'09-02-27 AIS: 
	DPM_LOW_MSG$	= "        6dots/mm"					'09-02-27 AIS: 
	DIM PRINT_SPEED$(2)										'09-02-27 AIS: PRINT SPEED
	DIM PRN_SPEED_MSG$(2)									'09-02-27 AIS: PRINT SPEED
	PRINT_SPEED$(0)	= "3"									'09-02-27 AIS: PRINT SPEED
	PRINT_SPEED$(1)	= "5"									'09-02-27 AIS: PRINT SPEED
	PRINT_SPEED$(2)	= "8"									'09-02-27 AIS: PRINT SPEED
	PRN_SPEED_MSG$(0) = "      3 inch/sec"					'09-02-27 AIS: PRINT SPEED
	PRN_SPEED_MSG$(1) = "      5 inch/sec"					'09-02-27 AIS: PRINT SPEED
	PRN_SPEED_MSG$(2) = "      8 inch/sec"					'09-02-27 AIS: PRINT SPEED
	WITH_RBN_SAVE%	= 1										'11-05-14 DO :
	GOTO *INIT_END											'09-02-27 AIS: 
REM -----------------------------------------------------------------------------------------------
REM  B-SA4 ˑ
REM -----------------------------------------------------------------------------------------------
*B_SA4_INIT
	DATA_DEFAULT$	= "01050,1057,2,0,0,2,0,3,05000,0,0,0,7E,5E,2C,0,0,0,0,0,04,+0000,0,+0000"	'B-SA4 l
	LABEL_L_MAX%	= 9990									'09-07-27 DO-AKAIKE:
	LABEL_MAX_MAX%	= 9990									'09-07-27 DO-AKAIKE:
	LABEL_W_MAX%	= 1057									'09-07-27 DO-AKAIKE:
	LABELLENGTH%	= 1050									'09-07-27 DO-AKAIKE:
	LABELWIDTH%	= 1057										'09-07-27 DO-AKAIKE:
	DPM_HIGH_MSG$	= "  12 or 8dots/mm"					'09-07-27 DO-AKAIKE:
	DPM_LOW_MSG$	= "   6 or 4dots/mm"					'09-07-27 DO-AKAIKE:
	DIM PRINT_SPEED$(2)										'09-02-27 AIS: PRINT SPEED
	DIM PRN_SPEED_MSG$(2)									'09-02-27 AIS: PRINT SPEED
	PRINT_SPEED$(0)	= "2"									'09-07-27 DO-AKAIKE: PRINT SPEED
	PRINT_SPEED$(1)	= "4"									'09-07-27 DO-AKAIKE: PRINT SPEED
	PRINT_SPEED$(2)	= "6"									'09-07-27 DO-AKAIKE: PRINT SPEED
	PRN_SPEED_MSG$(0) = "      2 inch/sec"					'09-07-27 DO-AKAIKE: PRINT SPEED
	PRN_SPEED_MSG$(1) = "      4 inch/sec"					'09-07-27 DO-AKAIKE: PRINT SPEED
	PRN_SPEED_MSG$(2) = "      6 inch/sec"					'09-07-27 DO-AKAIKE: PRINT SPEED
	RIBBON%		= 2											'09-07-27 DO-AKAIKE: RIBBON
	WITH_RBN_SAVE%	= 0										'09-07-27 DO-AKAIKE: RIBBON SAVE
	GOTO *INIT_END											'09-07-27 DO-AKAIKE: 
REM -----------------------------------------------------------------------------------------------
REM  B-EX4T1 ˑ
REM -----------------------------------------------------------------------------------------------
*B_EX41_INIT
	DATA_DEFAULT$	= "01532,1040,1,0,0,2,0,3,05000,0,0,0,7E,5E,2C,0,0,0,0,0,04,+0000,0,+0000"	'B-EX4T1 l
	LABEL_W_MAX%	= 1040									'
	LABELLENGTH%	= 1532									'
	LABELWIDTH%	= 1040										'
	DPM_HIGH_MSG$	= "  12 or 8dots/mm"					'
	DPM_LOW_MSG$	= "   6 or 4dots/mm"					'
	DIM PRINT_SPEED$(6)										'11-05-13 DO-AKAIKE:
	DIM PRN_SPEED_MSG$(6)									'11-05-13 DO-AKAIKE:
	PRINT_SPEED$(0)	= "3"									'10-03-09 DO-SAKAI:  PRINT SPEED 3ips
	PRINT_SPEED$(1)	= "5"									'10-03-09 DO-SAKAI:  PRINT SPEED 5ips
	PRINT_SPEED$(2)	= "6"									'11-05-13 DO-AKAIKE: PRINT SPEED 5ips
	PRINT_SPEED$(3)	= "8"									'11-05-13 DO-AKAIKE: PRINT SPEED 6ips
	PRINT_SPEED$(4)	= "A"									'11-05-13 DO-AKAIKE:  PRINT SPEED 8ips
	PRINT_SPEED$(5)	= "C"									'11-05-13 DO-AKAIKE:  PRINT SPEED 10ips
	PRINT_SPEED$(6)	= "E"									'11-05-13 DO-AKAIKE:  PRINT SPEED 12ips
	PRN_SPEED_MSG$(0) = " 3 inch/sec(G/T)"					'11-05-13 DO-AKAIKE:  PRINT SPEED 3ips
	PRN_SPEED_MSG$(1) = " 5 inch/sec( T )"					'11-05-13 DO-AKAIKE:  PRINT SPEED 5ips
	PRN_SPEED_MSG$(2) = " 6 inch/sec( G )"					'11-05-13 DO-AKAIKE:  PRINT SPEED 5ips
	PRN_SPEED_MSG$(3) = " 8 inch/sec( T )"					'11-05-13 DO-AKAIKE:  PRINT SPEED 6ips
	PRN_SPEED_MSG$(4) = "10 inch/sec(G/T)"					'11-05-13 DO-AKAIKE:  PRINT SPEED 8ips
	PRN_SPEED_MSG$(5) = "12 inch/sec(G/T)"					'11-05-13 DO-AKAIKE:  PRINT SPEED 10ips
	PRN_SPEED_MSG$(6) = "14 inch/sec(G/T)"					'11-05-13 DO-AKAIKE:  PRINT SPEED 12ips
	WITH_RBN_SAVE%	= 1										'11-05-14 DO :
	GOTO *INIT_END											'
REM -----------------------------------------------------------------------------------------------
REM  B-EX4T2 ˑ
REM -----------------------------------------------------------------------------------------------
*B_EX42_INIT												'11-05-14 DO :
	DATA_DEFAULT$	= "01050,1040,2,0,0,2,0,3,05000,0,0,0,7E,5E,2C,0,0,0,0,0,04,+0000,0,+0000"	'B-EX4T2 l
	LABEL_W_MAX%	= 1040									'
	LABELLENGTH%	= 1050									'
	LABELWIDTH%	= 1040										'
	DPM_HIGH_MSG$	= "  12 or 8dots/mm"					'
	DPM_LOW_MSG$	= "   6 or 4dots/mm"					'
	DIM PRINT_SPEED$(6)										'
	DIM PRN_SPEED_MSG$(6)									'
	PRINT_SPEED$(0)	= "3"									'
	PRINT_SPEED$(1)	= "5"									'
	PRINT_SPEED$(2)	= "6"									'
	PRINT_SPEED$(3)	= "8"									'
	PRINT_SPEED$(4)	= "A"									'
	PRINT_SPEED$(5)	= "C"									'
	PRINT_SPEED$(6)	= "E"									'
	PRN_SPEED_MSG$(0) = " 3 inch/sec(G/T)"					'
	PRN_SPEED_MSG$(1) = " 5 inch/sec( T )"					'
	PRN_SPEED_MSG$(2) = " 6 inch/sec( G )"					'
	PRN_SPEED_MSG$(3) = " 8 inch/sec( T )"					'
	PRN_SPEED_MSG$(4) = "10 inch/sec(G/T)"					'
	PRN_SPEED_MSG$(5) = "12 inch/sec(G/T)"					'
	PRN_SPEED_MSG$(6) = "14 inch/sec(G/T)"					'
	WITH_RBN_SAVE%	= 0										'
	GOTO *INIT_END											'
REM -----------------------------------------------------------------------------------------------
REM  B-EX6 ˑ
REM -----------------------------------------------------------------------------------------------
*B_EX6_INIT
	DATA_DEFAULT$	= "01050,1520,2,0,0,2,0,3,05000,0,0,0,7E,5E,2C,0,0,0,0,0,04,+0000,0,+0000"	'B-EX6 l
	LABEL_W_MAX%	= 1520									'
	LABELLENGTH%	= 1050									'
	LABELWIDTH%	= 1520										'
	DPM_HIGH_MSG$	= "  12 or 8dots/mm"					'
	DPM_LOW_MSG$	= "   6 or 4dots/mm"					'
	DIM PRINT_SPEED$(4)										'09-02-27 AIS: PRINT SPEED
	DIM PRN_SPEED_MSG$(4)									'09-02-27 AIS: PRINT SPEED
	PRINT_SPEED$(0)	= "3"									'10-03-09 DO-SAKAI:  PRINT SPEED 3ips
	PRINT_SPEED$(1)	= "5"									'10-03-09 DO-SAKAI:  PRINT SPEED 5ips
	PRINT_SPEED$(2)	= "6"									'10-03-09 DO-SAKAI:  PRINT SPEED 6ips
	PRINT_SPEED$(3)	= "8"									'10-03-09 DO-SAKAI:  PRINT SPEED 8ips
	PRINT_SPEED$(4)	= "A"									'10-03-09 DO-SAKAI:  PRINT SPEED 10ips
	PRN_SPEED_MSG$(0) = " 3 inch/sec(G/T)"					'11-05-13 DO-AKAIKE: PRINT SPEED 3ips
	PRN_SPEED_MSG$(1) = " 5 inch/sec( T )"					'11-05-13 DO-AKAIKE: PRINT SPEED 5ips
	PRN_SPEED_MSG$(2) = " 6 inch/sec( G )"					'11-05-13 DO-AKAIKE: PRINT SPEED 6ips
	PRN_SPEED_MSG$(3) = " 8 inch/sec( T )"					'11-05-13 DO-AKAIKE: PRINT SPEED 8ips
	PRN_SPEED_MSG$(4) = "10 inch/sec(G/T)"					'11-05-13 DO-AKAIKE: PRINT SPEED 10ips
	WITH_RBN_SAVE%	= 0										'11-05-14 DO :
	GOTO *INIT_END											'
REM -----------------------------------------------------------------------------------------------
REM  B-EX4T2-H ˑ
REM -----------------------------------------------------------------------------------------------
*B_EX4H_INIT												'11-05-14 DO :
	DATA_DEFAULT$	= "01050,1040,2,0,0,2,0,2,05000,0,0,0,7E,5E,2C,0,0,0,0,0,04,+0000,0,+0000"	'B-EX4T2-H l
	LABEL_L_MIN%	= 50									'
	LABEL_L_MAX%	= 5000									'
	LABEL_MAX_MIN%	= 50									'
	LABEL_MAX_MAX%	= 5000									'
	LABEL_W_MAX%	= 1040									'
	LABELLENGTH%	= 1050									'
	LABELWIDTH%	= 1040										'
	DPM_HIGH_MSG$	= "       24dots/mm"					'
	DPM_LOW_MSG$	= "       12dots/mm"					'
	DIM PRINT_SPEED$(4)										'
	DIM PRN_SPEED_MSG$(4)									'
	PRINT_SPEED$(0)	= "2"									'
	PRINT_SPEED$(1)	= "3"									'
	PRINT_SPEED$(2)	= "4"									'
	PRINT_SPEED$(3)	= "5"									'
	PRINT_SPEED$(4)	= "6"									'
	PRN_SPEED_MSG$(0) = "      2 inch/sec"					'
	PRN_SPEED_MSG$(1) = "      3 inch/sec"					'
	PRN_SPEED_MSG$(2) = "      4 inch/sec"					'
	PRN_SPEED_MSG$(3) = "      5 inch/sec"					'
	PRN_SPEED_MSG$(4) = "      6 inch/sec"					'
	WITH_RBN_SAVE%	= 0										'
	GOTO *INIT_END											'
REM -----------------------------------------------------------------------------------------------
*INIT_END
REM ===============================================================================================
REM  ݒ荀ڂworkf[^ y l̐ݒ
REM ===============================================================================================
	WORKLENGTH%	= LABELLENGTH%
	WORKWIDTH%	= LABELWIDTH%
	WORKRIBBON%	= RIBBON%
	WORKDPM%	= ZEBRADPM%
	WORKPRTMOD%	= PRINTMODE%
	WORKSENSOR%	= SENSOR%
	WORKGRAPPOS%	= ZEBRAGRAPOS%
	WORKPONCLB%	= P_ON_CALIB%								'09-02-27 AIS: work POWER ON CALIB
	WORKHCLOSECLB%	= H_CLOSE_CALIB%						'09-02-27 AIS: work HEAD CLOSE CALIB
	WORKFORMATCNV%	= FORMATCONVERT%						'09-02-27 AIS: work FORMAT CONVERT
	WORKPRNSPEED%	= PRINTSPEED%							'09-02-27 AIS: work PRINT SPEED
	WORKMAXLENGTH%	= MAXLENGTH%							'09-02-27 AIS: work MAXIMUM LENGTH
	WORKCTRLPREH%	= CONTROLPREFIXH%						'09-02-27 AIS: work CONTROL PREFIX high-nibble
	WORKCTRLPREL%	= CONTROLPREFIXL%						'09-02-27 AIS: work CONTROL PREFIX low-nibble
	WORKFMTPREH%	= FORMATPREFIXH%						'09-02-27 AIS: work FORMAT PREFIX high-nibble
	WORKFMTPREL%	= FORMATPREFIXL%						'09-02-27 AIS: work FORMAT PREFIX low-nibble
	WORKDELICHARH%	= DELIMITCHARH%							'09-02-27 AIS: work DELIMITER CHAR high-nibble
	WORKDELICHARL%	= DELIMITCHARL%							'09-02-27 AIS: work DELIMITER CHAR low-nibble
	WORKZPLLLCMD%	= ZPL_LL_CMD%							'09-02-27 AIS: work  LABEL SIZE (LL)
	WORKZPLMNCMD%	= ZPL_MN_CMD%							'09-02-27 AIS: work LABEL SIZE (MN)
	WORKZPLMTCMD%	= ZPL_MT_CMD%							'09-02-27 AIS: work LABEL SIZE (MT)
	WORKZPLSDCMD%	= ZPL_SD_CMD%							'09-02-27 AIS: work TONE ADJ (SD)
	WORKZPLMDCMD%	= ZPL_MD_CMD%							'09-02-27 AIS: work TONE ADJ (MD)
	WORKTABSP%	= TAB_SP%									'09-02-27 AIS: work TAB -> SP
	WORKRFIDADJW$	= RFID_ADJUSTW$							'09-02-27 AIS: work RFID ADJUST (+/-)
	WORKRFIDADJ%	= RFID_ADJUST%							'09-02-27 AIS: work RFID ADJUST (000.0-999.9)
	WORKOFFSETPRN%	= OFFSET_PRINT%							'09-02-27 AIS: work OFFSET PRINT
	WORKLBLSHIFTW$	= LABEL_SHIFTW$							'09-08-11 DO-NOZAKI: work LABEL SHIFT (+/-)
	WORKLBLSHIFT%	= LABEL_SHIFT%							'09-08-11 DO-NOZAKI: work LABEL SHIFT (000.0-999.9)
'
	SAVE% = 0
REM -----------------------------------------------------------------------------------------------
	DISPPOS% = 0
	CURSELPOS% = 0
	OPENFLAG% = 1
REM -----------------------------------------------------------------------------------------------
	DIM LED(2)												'LED
	LED(0) = FALSE											'POWER LED
	LED(1) = FALSE											'ONLINE LED
	LED(2) = FALSE											'ERROR LED
REM -----------------------------------------------------------------------------------------------
REM  eL[͔fp̒l
REM -----------------------------------------------------------------------------------------------
	FEEDKEY$	= CHR$( &H20 )
	RESTARTKEY$	= CHR$( &H40 )
	PAUSEKEY$	= CHR$( &H80 )
	FEEDRESKEY$	= CHR$( &H60 )								'09-02-27 AIS: FEED & RESTARTl
REM -----------------------------------------------------------------------------------------------
	ON ERROR GOTO *ERROR_PROC
	GOSUB *GET_PARAM
	GOSUB *INIT_LCD
REM ===============================================================================================
REM  MAIN loop...
REM ===============================================================================================
*MAIN
	INPUTKEY$ = ""
	WHILE INPUTKEY$ = ""
		INPUTKEY$ = INKEY$
	WEND
	GOSUB *KEY_PROC
	START.TIME = TIMER
	WHILE TIMER < START.TIME + 3
	WEND
	GOTO *MAIN
REM ===============================================================================================
REM  GET_PARAM : Get Parameter File
REM ===============================================================================================
REM  f[t@C(A:ZEBRAPRM.TXT)Af[^擾Aϐ֐ݒ肷i擪珇Ɏ擾j
REM -----------------------------------------------------------------------------------------------
*GET_PARAM
	OPEN "A:ZEBRAPRM.TXT" FOR INPUT AS #1
	IF OPENFLAG% = 0 THEN CLOSE #1 : GOTO *GET_P_NOFILE
	A$ = INPUT$( 72 , #1 )
	WHILE( EOF( #1 ) = 0 )
		A$ = INPUT$( 72 , #1 )
	WEND
	CLOSE #1
REM 'LABEL LENGTH'---------------------------------------------------------------------------------
	B$ = LEFT$( A$ , 5 ) : LABELLENGTH% = VAL( B$ )
'	DATt@CLABELLENGTHl`FbN
REM 'LABEL WIDTH'----------------------------------------------------------------------------------
	B$ = MID$( A$ , 7 , 4 ) : LABELWIDTH% = VAL( B$ )
'	DATt@CLABELWIDTHl`FbN
REM 'RIBON'----------------------------------------------------------------------------------------
	B$ = MID$( A$ , 12 , 1 )
	IF B$ = "0" THEN RIBBON% = 0 : GOTO *GET_P_01
	IF B$ = "2" THEN RIBBON% = 2 : GOTO *GET_P_01
	IF B$ = "3" THEN RIBBON% = 3 : GOTO *GET_P_01
	RIBBON% = 1
*GET_P_01
REM 'RIBON'----------------------------------------------------------------------------------------
	B$ = MID$( A$ , 14 , 1 )
	IF B$ = "1" THEN ZEBRADPM% = 1 ELSE ZEBRADPM% = 0
REM 'PRINT MODE'-----------------------------------------------------------------------------------
	B$ = MID$( A$ , 16 , 1 )								'2008-05-20 Print Mode ADD
	IF B$ = "1" THEN PRINTMODE% = 1 : GOTO *GET_P_02		'09-02-27 AIS:
	IF B$ = "2" THEN PRINTMODE% = 2 : GOTO *GET_P_02		'09-02-27 AIS:
	IF B$ = "3" THEN PRINTMODE% = 3 : GOTO *GET_P_02		'09-02-27 AIS:
	IF B$ = "4" THEN PRINTMODE% = 4 : GOTO *GET_P_02		'09-05-15 DO-SAKAI:
	IF B$ = "5" THEN PRINTMODE% = 5 : GOTO *GET_P_02		'09-05-15 DO-SAKAI:
	IF B$ = "6" THEN PRINTMODE% = 6 : GOTO *GET_P_02		'09-05-15 DO-SAKAI:
	PRINTMODE% = 0											'09-02-27 AIS:
*GET_P_02													'09-02-27 AIS:
REM 'PRINT MODE'-----------------------------------------------------------------------------------
	B$ = MID$( A$ , 18 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN SENSOR% = 1 : GOTO *GET_P_03			'09-02-27 AIS:
	IF B$ = "2" THEN SENSOR% = 2 : GOTO *GET_P_03			'09-02-27 AIS:
	IF B$ = "3" THEN SENSOR% = 3 : GOTO *GET_P_03			'09-02-27 AIS:
	IF B$ = "4" THEN SENSOR% = 4 : GOTO *GET_P_03			'09-02-27 AIS:
	SENSOR% = 0												'09-02-27 AIS:
*GET_P_03
REM 'GRAPHIC POSITON'------------------------------------------------------------------------------
	B$ = MID$( A$ , 20 , 1 )								'2008-06-13 GRAPHIC MODE ADD
	IF B$ = "1" THEN ZEBRAGRAPOS% = 1 : GOTO *GET_P_04
	ZEBRAGRAPOS% = 0
*GET_P_04
REM 'PRINT SPEED'----------------------------------------------------------------------------------
	B$ = MID$( A$ , 22 , 1 )								'2008-06-13 GRAPHIC MODE ADD
	IF MACHINE_TYPE% =  7 THEN GOTO *GETP4_SEL7				'11-05-14 DO-AKAIKE:7iK̑xI
	IF MACHINE_TYPE% =  8 THEN GOTO *GETP4_SEL7				'11-05-14 DO-AKAIKE:7iK̑xI
	IF MACHINE_TYPE% =  9 THEN GOTO *GETP4_SEL5				'11-05-14 DO-AKAIKE:5iK̑xI
	IF MACHINE_TYPE% = 10 THEN GOTO *GETP4_SEL5				'11-05-14 DO-AKAIKE:5iK̑xI
	IF B$ = PRINT_SPEED$(1) THEN PRINTSPEED% = 1 : GOTO *GET_P_05	'09-02-27 AIS:
	IF B$ = PRINT_SPEED$(2) THEN PRINTSPEED% = 2 : GOTO *GET_P_05	'09-02-27 AIS:
	PRINTSPEED% = 0	: GOTO *GET_P_05						'09-02-27 AIS:
*GETP4_SEL7													'11-05-13 DO-AKAIKE:
	IF B$ = PRINT_SPEED$(1) THEN PRINTSPEED% = 1 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	IF B$ = PRINT_SPEED$(2) THEN PRINTSPEED% = 2 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	IF B$ = PRINT_SPEED$(3) THEN PRINTSPEED% = 3 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	IF B$ = PRINT_SPEED$(4) THEN PRINTSPEED% = 4 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	IF B$ = PRINT_SPEED$(5) THEN PRINTSPEED% = 5 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	IF B$ = PRINT_SPEED$(6) THEN PRINTSPEED% = 6 : GOTO *GET_P_05	'11-05-13 DO-AKAIKE:
	PRINTSPEED% = 0	: GOTO *GET_P_05						'10-03-09 DO-SAKAI:
*GETP4_SEL5
	IF B$ = PRINT_SPEED$(1) THEN PRINTSPEED% = 1 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	IF B$ = PRINT_SPEED$(2) THEN PRINTSPEED% = 2 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	IF B$ = PRINT_SPEED$(3) THEN PRINTSPEED% = 3 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	IF B$ = PRINT_SPEED$(4) THEN PRINTSPEED% = 4 : GOTO *GET_P_05	'10-03-09 DO-SAKAI:
	PRINTSPEED% = 0	: GOTO *GET_P_05						'10-03-09 DO-SAKAI:
*GET_P_05
REM 'MAXIMUM LENGTH'-------------------------------------------------------------------------------
	B$ = MID$( A$ , 24 , 5 ) : MAXLENGTH% = VAL( B$ )		'09-02-27 AIS:
															'  DATt@CMAXLENGTHl`FbN
REM 'POWER ON CALIB'-------------------------------------------------------------------------------
	B$ = MID$( A$ , 30 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN P_ON_CALIB% = 1 : GOTO *GET_P_06		'09-02-27 AIS:
	IF B$ = "2" THEN P_ON_CALIB% = 2 : GOTO *GET_P_06		'09-02-27 AIS:
	IF B$ = "3" THEN P_ON_CALIB% = 3 : GOTO *GET_P_06		'09-02-27 AIS:
	IF B$ = "4" THEN P_ON_CALIB% = 4 : GOTO *GET_P_06		'09-02-27 AIS:
	P_ON_CALIB% = 0											'09-02-27 AIS:
*GET_P_06
REM 'HEAD CLOSE CALIB'-----------------------------------------------------------------------------
	B$ = MID$( A$ , 32 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN H_CLOSE_CALIB% = 1 : GOTO *GET_P_07	'09-02-27 AIS:
	IF B$ = "2" THEN H_CLOSE_CALIB% = 2 : GOTO *GET_P_07	'09-02-27 AIS:
	IF B$ = "3" THEN H_CLOSE_CALIB% = 3 : GOTO *GET_P_07	'09-02-27 AIS:
	IF B$ = "4" THEN H_CLOSE_CALIB% = 4 : GOTO *GET_P_07	'09-02-27 AIS:
	H_CLOSE_CALIB% = 0										'09-02-27 AIS:
*GET_P_07
REM 'FORMAT CONVERT'-------------------------------------------------------------------------------
	B$ = MID$( A$ , 34 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN FORMATCONVERT% = 1 : GOTO *GET_P_08	'09-02-27 AIS:
	IF B$ = "2" THEN FORMATCONVERT% = 2 : GOTO *GET_P_08	'09-02-27 AIS:
	IF B$ = "3" THEN FORMATCONVERT% = 3 : GOTO *GET_P_08	'09-02-27 AIS:
	IF B$ = "4" THEN FORMATCONVERT% = 4 : GOTO *GET_P_08	'09-02-27 AIS:
	FORMATCONVERT% = 0										'09-02-27 AIS:
*GET_P_08
REM 'CONTROL PREFIX'-------------------------------------------------------------------------------
	B$ = MID$( A$ , 36 , 1 )								'09-02-27 AIS:
	I2N_NIBBLE_16$ = B$ : GOSUB *NIBBLE2I_16				'09-02-27 AIS:
	CONTROLPREFIXH% = I2N_I_16%								'09-02-27 AIS:
	B$ = MID$( A$ , 37 , 1 )								'09-02-27 AIS:
	I2N_NIBBLE_16$ = B$ : GOSUB *NIBBLE2I_16				'09-02-27 AIS:
	CONTROLPREFIXL% = I2N_I_16%								'09-02-27 AIS:
REM 'FORMAT PREFIX'--------------------------------------------------------------------------------
	B$ = MID$( A$ , 39 , 1 )								'09-02-27 AIS:
	I2N_NIBBLE_16$ = B$ : GOSUB *NIBBLE2I_16				'09-02-27 AIS:
	FORMATPREFIXH% = I2N_I_16%								'09-02-27 AIS:
	B$ = MID$( A$ , 40 , 1 )								'09-02-27 AIS:
	I2N_NIBBLE_16$ = B$ : GOSUB *NIBBLE2I_16				'09-02-27 AIS:
	FORMATPREFIXL% = I2N_I_16%								'09-02-27 AIS:
REM 'DELIMITER CHAR'-------------------------------------------------------------------------------
	B$ = MID$( A$ , 42 , 1 )								'09-02-27 AIS:
	I2N_NIBBLE_16$ = B$ : GOSUB *NIBBLE2I_16				'09-02-27 AIS:
	DELIMITCHARH% = I2N_I_16%								'09-02-27 AIS:
	B$ = MID$( A$ , 43 , 1 )								'09-02-27 AIS:
	I2N_NIBBLE_16$ = B$ : GOSUB *NIBBLE2I_16				'09-02-27 AIS:
	DELIMITCHARL% = I2N_I_16%								'09-02-27 AIS:
REM 'LABEL SIZE (LL)'------------------------------------------------------------------------------
	B$ = MID$( A$ , 45 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN ZPL_LL_CMD% = 1 : GOTO *GET_P_09		'09-02-27 AIS:
	ZPL_LL_CMD% = 0											'09-02-27 AIS:
*GET_P_09													'09-02-27 AIS:
REM 'LABEL TYPE (MN)'------------------------------------------------------------------------------
	B$ = MID$( A$ , 47 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN ZPL_MN_CMD% = 1 : GOTO *GET_P_10		'09-02-27 AIS:
	ZPL_MN_CMD% = 0											'09-02-27 AIS:
*GET_P_10													'09-02-27 AIS:
REM 'MEDIA TYPE (MT)'------------------------------------------------------------------------------
	B$ = MID$( A$ , 49 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN ZPL_MT_CMD% = 1 : GOTO *GET_P_11		'09-02-27 AIS:
	ZPL_MT_CMD% = 0											'09-02-27 AIS:
*GET_P_11													'09-02-27 AIS:
REM 'TONE ADJ (SD)'--------------------------------------------------------------------------------
	B$ = MID$( A$ , 51 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN ZPL_SD_CMD% = 1 : GOTO *GET_P_12		'09-02-27 AIS:
	ZPL_SD_CMD% = 0											'09-02-27 AIS:
*GET_P_12													'09-02-27 AIS:
REM 'TONE ADJ (MD)'--------------------------------------------------------------------------------
	B$ = MID$( A$ , 53 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN ZPL_MD_CMD% = 1 : GOTO *GET_P_13		'09-02-27 AIS:
	ZPL_MD_CMD% = 0											'09-02-27 AIS:
*GET_P_13													'09-02-27 AIS:
REM 'TAB -> SP'------------------------------------------------------------------------------------
	B$ = MID$( A$ , 55 , 2 )								'09-02-27 AIS:
	TAB_SP% =  VAL( B$ )									'09-02-27 AIS:
REM 'RFID ADJUST'----------------------------------------------------------------------------------
	B$ = MID$( A$ , 58 , 1 )								'09-02-27 AIS:
	IF B$ = "-" THEN RFID_ADJUSTW$ = "-" : GOTO *GET_P_14	'09-02-27 AIS:
	RFID_ADJUSTW$ = "+"										'09-02-27 AIS:
*GET_P_14													'09-02-27 AIS:
	B$ = MID$( A$ , 59 , 4 )								'09-02-27 AIS:
	RFID_ADJUST% =  VAL( B$ )								'09-02-27 AIS:
REM 'OFFSET PRINT'---------------------------------------------------------------------------------
	B$ = MID$( A$ , 64 , 1 )								'09-02-27 AIS:
	IF B$ = "1" THEN OFFSET_PRINT% = 1 : GOTO *GET_P_15		'09-02-27 AIS:
	IF B$ = "2" THEN OFFSET_PRINT% = 2 : GOTO *GET_P_15		'09-02-27 AIS:
	OFFSET_PRINT% = 0										'09-02-27 AIS:
*GET_P_15													'09-02-27 AIS:
REM 'LABEL SHIFT'----------------------------------------------------------------------------------
	B$ = MID$( A$ , 66 , 1 )								'09-08-11 DO-NOZAKI
	IF B$ = "-" THEN LABEL_SHIFTW$ = "-" : GOTO *GET_P_16	'09-08-11 DO-NOZAKI
	LABEL_SHIFTW$ = "+"										'09-08-11 DO-NOZAKI
*GET_P_16													'09-08-11 DO-NOZAKI
	B$ = MID$( A$ , 67 , 4 )								'09-08-11 DO-NOZAKI
	LABEL_SHIFT% = VAL( B$ )								'09-08-11 DO-NOZAKI
	RETURN													'09-02-27 AIS:
REM -----------------------------------------------------------------------------------------------
REM  VKt@C쐬pftHgf[^Zbg
REM -----------------------------------------------------------------------------------------------
*GET_P_NOFILE
	A$ = DATA_DEFAULT$						'09-02-27 AIS
	OPEN "A:ZEBRAPRM.TXT" FOR APPEND AS #1
	PRINT #1, A$ : CLOSE #1
	RETURN
REM ===============================================================================================
REM  INIT_LCD : Initialize LCD
REM ===============================================================================================
REM  LCD()\
REM -----------------------------------------------------------------------------------------------
*INIT_LCD
	CLS
	LOCATE 1, 1
	SELECT DISPPOS%
REM 'SET PARAMETER'--------------------------------------------------------------------------------
		CASE 0
			PRINT "SET PARAMETER"
			RETURN
REM 'LABEL LENGTH'---------------------------------------------------------------------------------
		CASE 1
			WORKLENGTH% = LABELLENGTH% : PRINT "LABEL LENGTH"
			LOCATE 2, 1
			B$ = ZEROSUP$( WORKLENGTH% , 5 )
			C$ = LEFT$( B$ , 4 )
			D$ = RIGHT$( B$ , 1 )
			A$ = "        " + C$ + "." + D$ + "mm" : PRINT A$
			LOCATE 2, 9
			CURSELPOS% = 9 
			GOSUB *MOVE_CUR
			GOSUB *SET_PARAM
			DISPPOS% = DISPPOS% + 1
			GOSUB *INIT_LCD
			RETURN
REM 'LABEL WIDTH'----------------------------------------------------------------------------------
		CASE 2
			WORKWIDTH% = LABELWIDTH% : PRINT "LABEL WIDTH"
			LOCATE 2, 1
			B$ = ZEROSUP$( WORKWIDTH% , 4 )
			C$ = LEFT$( B$ , 3 )
			D$ = RIGHT$( B$ , 1 )
			A$ = "         " + C$ + "." + D$ + "mm" : PRINT A$
			LOCATE 2, 10
			CURSELPOS% = 10 
			GOSUB *MOVE_CUR
			GOSUB *SET_PARAM
			DISPPOS% = DISPPOS% + 1
			GOSUB *INIT_LCD
			RETURN
REM 'RIBBON'----------------------------------------------------------------------------------------
		CASE 3
			WORKRIBBON% = RIBBON% : PRINT "RIBBON"			'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WITH_RBN_SAVE% = 0 THEN GOTO *INI_NORBNSAV	'09-07-27 DO-AKAIKE:
			IF WORKRIBBON% = 0 THEN PRINT "  WITHOUT RIBBON" : RETURN	'09-02-27 AIS:
			IF WORKRIBBON% = 1 THEN PRINT "WITH RIBBON SAVE" : RETURN	'09-02-27 AIS:
			IF WORKRIBBON% = 2 THEN PRINT "     WITH RIBBON" : RETURN	'09-02-27 AIS:
			PRINT                         "WITHOUT RIBBON H" : RETURN	'09-02-27 AIS:
*INI_NORBNSAV														'09-07-27 DO-AKAIKE:
			IF WORKRIBBON% = 0 THEN PRINT "  WITHOUT RIBBON" : RETURN	'09-07-27 DO-AKAIKE:
			WORKRIBBON% = 2												'09-07-27 DO-AKAIKE:
			PRINT                         "     WITH RIBBON" : RETURN	'09-07-27 DO-AKAIKE:
REM 'PRINT MODE'-----------------------------------------------------------------------------------
		CASE 4
			WORKPRTMOD% = PRINTMODE% : PRINT "PRINT MODE" 	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKPRTMOD% = 0 THEN PRINT "          NO CUT" : RETURN	'09-02-27 AIS:
			IF WORKPRTMOD% = 1 THEN PRINT "        PEEL OFF" : RETURN	'09-02-27 AIS:
			IF WORKPRTMOD% = 3 THEN PRINT "      PEEL OFF A" : RETURN	'09-05-15 DO-SAKAI:
			IF WORKPRTMOD% = 4 THEN PRINT "        WITH CUT" : RETURN	'09-05-15 DO-SAKAI:
			IF WORKPRTMOD% = 5 THEN PRINT "     DELAYED CUT" : RETURN	'09-05-15 DO-SAKAI:
			                        PRINT "            RFID" : RETURN	'09-05-15 DO-SAKAI:
REM 'SENSOR'---------------------------------------------------------------------------------------
		CASE 5
			WORKSENSOR% = SENSOR% : PRINT "SENSOR" 			'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKSENSOR% = 0 THEN PRINT "            NONE" : RETURN	'09-02-27 AIS:
			IF WORKSENSOR% = 1 THEN PRINT "         REFLECT" : RETURN	'09-02-27 AIS:
			IF WORKSENSOR% = 2 THEN PRINT "           TRANS" : RETURN	'09-02-27 AIS:
			IF WORKSENSOR% = 3 THEN PRINT "  TRANS PREPRINT" : RETURN	'09-02-27 AIS:
			PRINT                         "REFLECT MANUAL T" : RETURN	'09-02-27 AIS:
REM 'PRINT SPEED'-----------------------------------------------------------------------------
		CASE 6												'09-02-27 AIS:
			WORKPRNSPEED% = PRINTSPEED% : PRINT "PRINT SPEED"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF MACHINE_TYPE% =  7 THEN GOTO *SPEED_SEL7		'11-05-14 DO-AKAIKE:7iK̑xI
			IF MACHINE_TYPE% =  8 THEN GOTO *SPEED_SEL7		'11-05-14 DO-AKAIKE:7iK̑xI
			IF MACHINE_TYPE% =  9 THEN GOTO *SPEED_SEL5		'11-05-14 DO-AKAIKE:5iK̑xI
			IF MACHINE_TYPE% = 10 THEN GOTO *SPEED_SEL5		'11-05-14 DO-AKAIKE:5iK̑xI
'
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(0) : RETURN	'09-02-27 AIS:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(1) : RETURN	'09-02-27 AIS:
			PRINT                           PRN_SPEED_MSG$(2) : RETURN	'09-02-27 AIS:
*SPEED_SEL7																'11-05-13 DO-AKAIKE:
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(0) : RETURN	'10-03-09 DO-SAKAI:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(1) : RETURN	'10-03-09 DO-SAKAI:
			IF WORKPRNSPEED% = 2 THEN PRINT PRN_SPEED_MSG$(2) : RETURN	'10-03-09 DO-SAKAI:
			IF WORKPRNSPEED% = 3 THEN PRINT PRN_SPEED_MSG$(3) : RETURN	'10-03-09 DO-SAKAI:
			IF WORKPRNSPEED% = 4 THEN PRINT PRN_SPEED_MSG$(4) : RETURN	'10-03-09 DO-SAKAI:
			IF WORKPRNSPEED% = 5 THEN PRINT PRN_SPEED_MSG$(5) : RETURN	'11-05-13 DO-AKAIKE:
			PRINT                           PRN_SPEED_MSG$(6) : RETURN	'11-05-13 DO-AKAIKE:
*SPEED_SEL5
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(0) : RETURN	'10-03-09 DO-SAKAI:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(1) : RETURN	'10-03-09 DO-SAKAI:
			IF WORKPRNSPEED% = 2 THEN PRINT PRN_SPEED_MSG$(2) : RETURN	'10-03-09 DO-SAKAI:
			IF WORKPRNSPEED% = 3 THEN PRINT PRN_SPEED_MSG$(3) : RETURN	'10-03-09 DO-SAKAI:
			PRINT                           PRN_SPEED_MSG$(4) : RETURN	'10-03-09 DO-SAKAI:
REM 'MAXIMUM LENGTH'---------------------------------------------------------------------------------
		CASE 7												'09-02-27 AIS:
			WORKMAXLENGTH% = MAXLENGTH% : PRINT "MAXIMUM LENGTH"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			B$ = ZEROSUP$( WORKMAXLENGTH% , 5 )				'09-02-27 AIS:
			C$ = LEFT$( B$ , 4 )							'09-02-27 AIS:
			D$ = RIGHT$( B$ , 1 )							'09-02-27 AIS:
			A$ = "        " + C$ + "." + D$ + "mm" : PRINT A$	'09-02-27 AIS:
			LOCATE 2, 9										'09-02-27 AIS:
			CURSELPOS% = 9 									'09-02-27 AIS:
			GOSUB *MOVE_CUR									'09-02-27 AIS:
			GOSUB *SET_PARAM								'09-02-27 AIS:
			DISPPOS% = DISPPOS% + 1							'09-02-27 AIS:
			GOSUB *INIT_LCD									'09-02-27 AIS:
			RETURN											'09-02-27 AIS:
REM 'POWER ON CALIB'--------------------------------------------------------------------------------------
		CASE 8												'09-02-27 AIS:
			WORKPONCLB% = P_ON_CALIB% : PRINT "POWER ON CALIB"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKPONCLB% = 0 THEN PRINT "       CALIBRATE" : RETURN	'09-02-27 AIS:
			IF WORKPONCLB% = 1 THEN PRINT " SHORT CALIBRATE" : RETURN	'09-02-27 AIS:
			IF WORKPONCLB% = 2 THEN PRINT "      SET LENGTH" : RETURN	'09-02-27 AIS:
			IF WORKPONCLB% = 3 THEN PRINT "            NONE" : RETURN	'09-02-27 AIS:
			PRINT                         "            FEED" : RETURN	'09-02-27 AIS:
REM 'HEAD CLOSE CALIB'--------------------------------------------------------------------------------------
		CASE 9												'09-02-27 AIS:
			WORKHCLOSECLB% = H_CLOSE_CALIB% : PRINT "HEAD CLOSE CALIB"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKHCLOSECLB% = 0 THEN PRINT "       CALIBRATE" : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 1 THEN PRINT " SHORT CALIBRATE" : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 2 THEN PRINT "      SET LENGTH" : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 3 THEN PRINT "            NONE" : RETURN	'09-02-27 AIS:
			PRINT                            "            FEED" : RETURN	'09-02-27 AIS:
REM 'DOT/MM'--------------------------------------------------------------------------------------
		CASE 10
			WORKDPM% = ZEBRADPM% : PRINT "DOT/MM"
			LOCATE 2, 1
			IF WORKDPM% = 0 THEN PRINT DPM_HIGH_MSG$ : RETURN
			PRINT                      DPM_LOW_MSG$  : RETURN
REM 'FORMAT CONVERT'--------------------------------------------------------------------------------------
		CASE 11												'09-02-27 AIS:
			WORKFORMATCNV% = FORMATCONVERT% : PRINT "FORMAT CONVERT"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKFORMATCNV% = 0 THEN PRINT "            NONE" : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 1 THEN PRINT "        150->300" : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 2 THEN PRINT "        150->600" : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 3 THEN PRINT "        200->600" : RETURN	'09-02-27 AIS:
			PRINT                            "        300->600" : RETURN	'09-02-27 AIS:
REM 'CONTROL PREFIX'--------------------------------------------------------------------------------------
		CASE 12												'09-02-27 AIS:
			WORKCTRLPREH%	= CONTROLPREFIXH%				'09-02-27 AIS:
			WORKCTRLPREL%	= CONTROLPREFIXL%				'09-02-27 AIS:
			PRINT "CONTROL PREFIX"							'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			PRINT "          "								'09-02-27 AIS:
			LOCATE 2, 11									'09-02-27 AIS:
			I2N_I_16% = WORKCTRLPREH% : GOSUB *I2NIBBLE_16	'09-02-27 AIS:
			PRINT I2N_NIBBLE_16$							'09-02-27 AIS:
			LOCATE 2, 12									'09-02-27 AIS:
			I2N_I_16% = WORKCTRLPREL% : GOSUB *I2NIBBLE_16	'09-02-27 AIS:
			PRINT I2N_NIBBLE_16$							'09-02-27 AIS:
			LOCATE 2, 13									'09-02-27 AIS:
			TEMP_I% = WORKCTRLPREH% * 16 + WORKCTRLPREL%	'09-02-27 AIS:
			TEMP_S$ = " (" + CHR$(TEMP_I%) + ")"			'09-02-27 AIS:
			PRINT TEMP_S$									'09-02-27 AIS:
'
			LOCATE 2, 11									'09-02-27 AIS:
			CURSELPOS% = 11 								'09-02-27 AIS:
			GOSUB *MOVE_CUR									'09-02-27 AIS:
			GOSUB *SET_PARAM								'09-02-27 AIS:
			DISPPOS% = DISPPOS% + 1							'09-02-27 AIS:
			GOSUB *INIT_LCD									'09-02-27 AIS:	
'
			RETURN											'09-02-27 AIS:
REM 'FORMAT PREFIX'--------------------------------------------------------------------------------------
		CASE 13												'09-02-27 AIS:
			WORKFMTPREH%	= FORMATPREFIXH%				'09-02-27 AIS:
			WORKFMTPREL%	= FORMATPREFIXL%				'09-02-27 AIS:
			PRINT "FORMAT PREFIX"							'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			PRINT "          "								'09-02-27 AIS:
			LOCATE 2, 11									'09-02-27 AIS:
			I2N_I_16% = WORKFMTPREH% : GOSUB *I2NIBBLE_16	'09-02-27 AIS:
			PRINT I2N_NIBBLE_16$							'09-02-27 AIS:
			LOCATE 2, 12									'09-02-27 AIS:
			I2N_I_16% = WORKFMTPREL% : GOSUB *I2NIBBLE_16	'09-02-27 AIS:
			PRINT I2N_NIBBLE_16$							'09-02-27 AIS:
			LOCATE 2, 13									'09-02-27 AIS:
			TEMP_I% = WORKFMTPREH% * 16 + WORKFMTPREL%		'09-02-27 AIS:
			TEMP_S$ = " (" + CHR$(TEMP_I%) + ")"			'09-02-27 AIS:
			PRINT TEMP_S$									'09-02-27 AIS:
'
			LOCATE 2, 11									'09-02-27 AIS:
			CURSELPOS% = 11 								'09-02-27 AIS:
			GOSUB *MOVE_CUR									'09-02-27 AIS:
			GOSUB *SET_PARAM								'09-02-27 AIS:
			DISPPOS% = DISPPOS% + 1							'09-02-27 AIS:
			GOSUB *INIT_LCD									'09-02-27 AIS:
'
			RETURN											'09-02-27 AIS:
REM 'DELIMITER CHAR'--------------------------------------------------------------------------------------
		CASE 14												'09-02-27 AIS:
			WORKDELICHARH%	= DELIMITCHARH%					'09-02-27 AIS:
			WORKDELICHARL%	= DELIMITCHARL%					'09-02-27 AIS:
			PRINT "DELIMITER CHAR"							'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			PRINT "          "								'09-02-27 AIS:
			LOCATE 2, 11									'09-02-27 AIS:
			I2N_I_16% = WORKDELICHARH% : GOSUB *I2NIBBLE_16	'09-02-27 AIS:
			PRINT I2N_NIBBLE_16$							'09-02-27 AIS:
			LOCATE 2, 12									'09-02-27 AIS:
			I2N_I_16% = WORKDELICHARL% : GOSUB *I2NIBBLE_16	'09-02-27 AIS:
			PRINT I2N_NIBBLE_16$							'09-02-27 AIS:
			LOCATE 2, 13									'09-02-27 AIS:
			TEMP_I% = WORKDELICHARH% * 16 + WORKDELICHARL%	'09-02-27 AIS:
			TEMP_S$ = " (" + CHR$(TEMP_I%) + ")"			'09-02-27 AIS:
			PRINT TEMP_S$									'09-02-27 AIS:
'
			LOCATE 2, 11									'09-02-27 AIS:
			CURSELPOS% = 11 								'09-02-27 AIS:
			GOSUB *MOVE_CUR									'09-02-27 AIS:
			GOSUB *SET_PARAM								'09-02-27 AIS:
			DISPPOS% = DISPPOS% + 1							'09-02-27 AIS:
			GOSUB *INIT_LCD									'09-02-27 AIS:
'
			RETURN											'09-02-27 AIS:
REM 'LABEL SIZE (LL)'--------------------------------------------------------------------------------------
		CASE 15												'09-02-27 AIS:
			WORKZPLLLCMD% = ZPL_LL_CMD% : PRINT "LABEL SIZE (LL)"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLLLCMD% = 0 THEN PRINT "          ENABLE" : RETURN	'09-02-27 AIS:
			PRINT                           "         DISABLE" : RETURN	'09-02-27 AIS:
REM 'LABEL TYPE (MN)'--------------------------------------------------------------------------------------
		CASE 16												'09-02-27 AIS:
			WORKZPLMNCMD% = ZPL_MN_CMD% : PRINT "LABEL TYPE (MN)"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLMNCMD% = 0 THEN PRINT "          ENABLE" : RETURN	'09-02-27 AIS:
			PRINT                           "         DISABLE" : RETURN	'09-02-27 AIS:
REM 'MEDIA TYPE (MT)'--------------------------------------------------------------------------------------
		CASE 17												'09-02-27 AIS:
			WORKZPLMTCMD% = ZPL_MT_CMD% : PRINT "MEDIA TYPE (MT)"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLMTCMD% = 0 THEN PRINT "          ENABLE" : RETURN	'09-02-27 AIS:
			PRINT                           "         DISABLE" : RETURN	'09-02-27 AIS:
REM 'TONE ADJ (SD)'--------------------------------------------------------------------------------------
		CASE 18												'09-02-27 AIS:
			WORKZPLSDCMD% = ZPL_SD_CMD% : PRINT "TONE ADJ (SD)"	'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLSDCMD% = 0 THEN PRINT "          ENABLE" : RETURN	'09-02-27 AIS:
			PRINT                           "         DISABLE" : RETURN	'09-02-27 AIS:
REM 'TONE ADJ (MD)'--------------------------------------------------------------------------------------
		CASE 19												'09-02-27 AIS:
			WORKZPLMDCMD% = ZPL_MD_CMD% : PRINT "TONE ADJ (MD)"		'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLMDCMD% = 0 THEN PRINT "          ENABLE" : RETURN	'09-02-27 AIS:
			PRINT                           "         DISABLE" : RETURN	'09-02-27 AIS:
REM 'GRAPHIC POSITION'-----------------------------------------------------------------------------
		CASE 20												'09-02-27 AIS:
			WORKGRAPOS% = ZEBRAGRAPOS% : PRINT "GRAPHIC POSITION"		'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKGRAPOS% = 0 THEN PRINT "  SPEED-ORIENTED" : RETURN	'09-02-27 AIS:
			PRINT                         "PRECISE POSITION" : RETURN	'09-02-27 AIS:
REM 'TAB -> SP'--------------------------------------------------------------------------------------
		CASE 21												'09-02-27 AIS:
			WORKTABSP% = TAB_SP% : PRINT "TAB -> SP"		'09-02-27 AIS:
			B$ = ZEROSUP$( WORKTABSP% , 2 )					'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			PRINT "              "							'09-02-27 AIS:
			PRINT B$ 										'09-02-27 AIS:
'
			LOCATE 2, 15									'09-02-27 AIS:
			CURSELPOS% = 15 								'09-02-27 AIS:
			GOSUB *MOVE_CUR									'09-02-27 AIS:
			GOSUB *SET_PARAM								'09-02-27 AIS:
			DISPPOS% = DISPPOS% + 1							'09-02-27 AIS:
			GOSUB *INIT_LCD									'09-02-27 AIS:
'
			RETURN											'09-02-27 AIS:
REM 'RFID ADJUST'--------------------------------------------------------------------------------------
		CASE 22												'09-02-27 AIS:
			WORKRFIDADJW$	= RFID_ADJUSTW$ : WORKRFIDADJ%	= RFID_ADJUST% : PRINT "RFID ADJUST"
			LOCATE 2, 1										'09-02-27 AIS:
			B$ = ZEROSUP$( WORKRFIDADJ% , 4 )				'09-02-27 AIS:
			C$ = LEFT$( B$ , 3 )							'09-02-27 AIS:
			D$ = RIGHT$( B$ , 1 )							'09-02-27 AIS:
			A$ = "        " + WORKRFIDADJW$ + C$ + "." + D$ + "mm" : PRINT A$
			LOCATE 2, 9										'09-02-27 AIS:
			CURSELPOS% = 9									'09-02-27 AIS:
			GOSUB *MOVE_CUR									'09-02-27 AIS:
			GOSUB *SET_PARAM								'09-02-27 AIS:
			DISPPOS% = DISPPOS% + 1							'09-02-27 AIS:
			GOSUB *INIT_LCD									'09-02-27 AIS:
			RETURN											'09-02-27 AIS:
REM 'OFFSET PRINT'--------------------------------------------------------------------------------------
		CASE 23												'09-02-27 AIS:
			WORKOFFSETPRN% = OFFSET_PRINT% : PRINT "OFFSET PRINT"		'09-02-27 AIS:
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKOFFSETPRN% = 0 THEN PRINT "            NONE" : RETURN	'09-02-27 AIS:
			IF WORKOFFSETPRN% = 1 THEN PRINT "WITHOUT BACKFEED" : RETURN	'09-02-27 AIS:
			PRINT                            "   WITH BACKFEED" : RETURN	'09-02-27 AIS:
REM 'LABEL SHIFT'---------------------------------------------------------------------------------------
		CASE 24												'09-02-27 AIS:
			WORKLBLSHIFTW$	= LABEL_SHIFTW$ : WORKLBLSHIFT%	= LABEL_SHIFT% : PRINT "LABEL SHIFT"
			LOCATE 2, 1										'09-08-11 DO-NOZAKI
			B$ = ZEROSUP$( WORKLBLSHIFT% , 4 )				'09-08-11 DO-NOZAKI
			C$ = LEFT$( B$ , 3 )							'09-08-11 DO-NOZAKI
			D$ = RIGHT$( B$ , 1 )							'09-08-11 DO-NOZAKI
			A$ = "        " + WORKLBLSHIFTW$ + C$ + "." + D$ + "mm" : PRINT A$
			LOCATE 2, 9										'09-08-11 DO-NOZAKI
			CURSELPOS% = 9									'09-08-11 DO-NOZAKI
			GOSUB *MOVE_CUR									'09-08-11 DO-NOZAKI
			GOSUB *SET_PARAM								'09-08-11 DO-NOZAKI
			DISPPOS% = DISPPOS% + 1							'09-08-11 DO-NOZAKI
			GOSUB *INIT_LCD									'09-08-11 DO-NOZAKI
			RETURN											'09-08-11 DO-NOZAKI
		CASE 25												'09-08-11 DO-NOZAKI
REM 'SAVE'-----------------------------------------------------------------------------------------
			SAVE% = 1 : PRINT "SAVE"
			LOCATE 2, 1
			PRINT "              OK" : RETURN
REM 'END_MOVE'-------------------------------------------------------------------------------------
		CASE 26												'09-08-11 DO-NOZAKI
			GOTO END_MOVE : RETURN
	SELECTEND
REM '*INIT_LCD Subroutine, return'
	RETURN
REM ===============================================================================================
REM  KEY_PROC : Input Key Proc
REM ===============================================================================================
REM  DIRECT% = 0:FEEDL[, DIRECT% = 1:RESTARTL[
REM  [FEED][RESTART]L[ɁA*RESTARTKEY Subroutine ŏ
REM -----------------------------------------------------------------------------------------------
*KEY_PROC
REM 	GOSUB *TIMER_WAIT
REM 	INPUTKEY$ = INKEY$
REM
	SELECT INPUTKEY$
		CASE FEEDKEY$
			DIRECT% = 0
			GOSUB *RESTARTKEY
			RETURN											'*KEY_PROC Subroutine, return'
		CASE RESTARTKEY$
			DIRECT% = 1
			GOSUB *RESTARTKEY
			RETURN											'*KEY_PROC Subroutine, return'
		CASE PAUSEKEY$
			GOSUB *SET_PARAM
			DISPPOS% = DISPPOS% + 1
			GOSUB *INIT_LCD
			RETURN											'*KEY_PROC Subroutine, return'
		CASE FEEDRESKEY$									'09-03-03 AIS:
			END												'09-03-03 AIS:
REM			LOCATE 2, 1										'09-02-27 AIS:
REM			PRINT "[FEED]&[RESTART]"						'09-02-27 AIS:
REM			KEY_WAIT_$=""									'09-02-27 AIS:
REM			WHILE KEY_WAIT_$=""								'09-02-27 AIS:
REM				KEY_WAIT_$=INKEY$							'09-02-27 AIS:
REM			WEND											'09-02-27 AIS:
REM			RETURN											'09-02-27 AIS:*KEY_PROC Subroutine, return'
	SELECTEND
	RETURN													'*KEY_PROC Subroutine, return'
REM ===============================================================================================
REM  SET_PARAM : Save Parameter
REM ===============================================================================================
REM  WORK???ϐ eڂ̕ϐɖ߂Af[^t@C(A:ZEBRAPRM.TXT)ւ̕ۑf[^쐬
REM  A$  ۑf[^쐬B
REM  쐬ɁAA$  t@C֏
REM -----------------------------------------------------------------------------------------------
*SET_PARAM
	IF DISPPOS% >< 25 THEN RETURN							'SAVE Menu ԍƍ킹
	IF SAVE% >< 1 THEN RETURN
	LABELLENGTH%	= WORKLENGTH%
	LABELWIDTH%	= WORKWIDTH%
	RIBBON%		= WORKRIBBON%
	ZEBRADPM% 	= WORKDPM%
	PRINTMODE%	= WORKPRTMOD%
	SENSOR%		= WORKSENSOR%
	ZEBRAGRAPOS%	= WORKGRAPOS%
	PRINTSPEED%	= WORKPRNSPEED%								'09-02-27 AIS:
	MAXLENGTH%	= WORKMAXLENGTH%							'09-02-27 AIS:
	P_ON_CALIB%	= WORKPONCLB%								'09-02-27 AIS:
	H_CLOSE_CALIB%	= WORKHCLOSECLB%						'09-02-27 AIS:
	FORMATCONVERT%	= WORKFORMATCNV%						'09-02-27 AIS:
	CONTROLPREFIXH%	= WORKCTRLPREH%							'09-02-27 AIS:
	CONTROLPREFIXL%	= WORKCTRLPREL%							'09-02-27 AIS:
	FORMATPREFIXH%	= WORKFMTPREH%							'09-02-27 AIS:
	FORMATPREFIXL%	= WORKFMTPREL%							'09-02-27 AIS:
	DELIMITCHARH%	= WORKDELICHARH%						'09-02-27 AIS:
	DELIMITCHARL%	= WORKDELICHARL%						'09-02-27 AIS:
	ZPL_LL_CMD%	= WORKZPLLLCMD%								'09-02-27 AIS:
	ZPL_MN_CMD%	= WORKZPLMNCMD%								'09-02-27 AIS:
	ZPL_MT_CMD%	= WORKZPLMTCMD%								'09-02-27 AIS:
	ZPL_SD_CMD%	= WORKZPLSDCMD%								'09-02-27 AIS:
	ZPL_MD_CMD%	= WORKZPLMDCMD%								'09-02-27 AIS:
	TAB_SP%		= WORKTABSP%								'09-02-27 AIS:
	RFID_ADJUSTW$	= WORKRFIDADJW$							'09-02-27 AIS:
	RFID_ADJUST%	= WORKRFIDADJ%							'09-02-27 AIS:
	OFFSET_PRINT%	= WORKOFFSETPRN%						'09-02-27 AIS:
REM ' [090811 DO-NOZAKI] ADD
	LABEL_SHIFTW$	= WORKLBLSHIFTW$						'09-08-11 DO-NOZAKI
	LABEL_SHIFT%	= WORKLBLSHIFT%							'09-08-11 DO-NOZAKI
REM ' [090811 DO-NOZAKI] ADD
'
	A$ = ZEROSUP$( LABELLENGTH% , 5 )
	A$ = A$ + "," + ZEROSUP$( LABELWIDTH% , 4 )
	A$ = A$ + "," + STR$( RIBBON% )
	A$ = A$ + "," + STR$( ZEBRADPM% )
	A$ = A$ + "," + STR$( PRINTMODE% )
	A$ = A$ + "," + STR$( SENSOR% )							'2008-05-20 Print Mode /paper type ADD
	A$ = A$ + "," + STR$( ZEBRAGRAPOS% )					'2008-06-13 Print Mode /paper type ADD
	A$ = A$ + ","											'09-02-27 AIS:
	IF MACHINE_TYPE% =  7 THEN GOTO *SET_PR_SEL7			'11-05-14 DO-AKAIKE:7iK̑xI
	IF MACHINE_TYPE% =  8 THEN GOTO *SET_PR_SEL7			'11-05-14 DO-AKAIKE:7iK̑xI
	IF MACHINE_TYPE% =  9 THEN GOTO *SET_PA_SEL5			'11-05-14 DO-AKAIKE:5iK̑xI
	IF MACHINE_TYPE% = 10 THEN GOTO *SET_PA_SEL5			'11-05-14 DO-AKAIKE:5iK̑xI
'
	SELECT PRINTSPEED%										'09-02-27 AIS:
		CASE 1												'09-02-27 AIS:
			A$ = A$ + PRINT_SPEED$(1)	: GOTO *SET_PARAM_0	'09-02-27 AIS:
		CASE 2												'09-02-27 AIS:
			A$ = A$ + PRINT_SPEED$(2)	: GOTO *SET_PARAM_0	'09-02-27 AIS:
		CASEELSE											'09-02-27 AIS:
			A$ = A$ + PRINT_SPEED$(0)	: GOTO *SET_PARAM_0	'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
'
*SET_PR_SEL7												'11-05-13 DO-AKAIKE:
	SELECT PRINTSPEED%										'10-03-09 DO-SAKAI:
		CASE 1												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(1)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASE 2												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(2)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASE 3												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(3)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASE 4												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(4)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASE 5												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(5)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASE 6												'11-05-13 DO-AKAIKE:
			A$ = A$ + PRINT_SPEED$(6)	: GOTO *SET_PARAM_0	'11-05-13 DO-AKAIKE:
		CASEELSE											'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(0)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
	SELECTEND												'10-03-09 DO-SAKAI:
'
*SET_PA_SEL5
	SELECT PRINTSPEED%										'10-03-09 DO-SAKAI:
		CASE 1												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(1)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASE 2												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(2)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASE 3												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(3)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASE 4												'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(4)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
		CASEELSE											'10-03-09 DO-SAKAI:
			A$ = A$ + PRINT_SPEED$(0)	: GOTO *SET_PARAM_0	'10-03-09 DO-SAKAI:
	SELECTEND												'10-03-09 DO-SAKAI:
'
*SET_PARAM_0
	A$ = A$ + "," + ZEROSUP$( MAXLENGTH% , 5 )				'09-02-27 AIS:
	A$ = A$ + "," + STR$( P_ON_CALIB% )						'09-02-27 AIS:
	A$ = A$ + "," + STR$( H_CLOSE_CALIB% )					'09-02-27 AIS:
	A$ = A$ + "," + STR$( FORMATCONVERT% )					'09-02-27 AIS:
'
	I2N_I_16% = CONTROLPREFIXH%	: GOSUB *I2NIBBLE_16		'09-02-27 AIS:
	A$ = A$ + "," + I2N_NIBBLE_16$							'09-02-27 AIS:
	I2N_I_16% = CONTROLPREFIXL%	: GOSUB *I2NIBBLE_16		'09-02-27 AIS:
	A$ = A$ + I2N_NIBBLE_16$								'09-02-27 AIS:
	I2N_I_16% = FORMATPREFIXH%	: GOSUB *I2NIBBLE_16		'09-02-27 AIS:
	A$ = A$ + "," + I2N_NIBBLE_16$							'09-02-27 AIS:
	I2N_I_16% = FORMATPREFIXL%	: GOSUB *I2NIBBLE_16		'09-02-27 AIS:
	A$ = A$ + I2N_NIBBLE_16$								'09-02-27 AIS:
	I2N_I_16% = DELIMITCHARH%	: GOSUB *I2NIBBLE_16		'09-02-27 AIS:
	A$ = A$ + "," + I2N_NIBBLE_16$							'09-02-27 AIS:
	I2N_I_16% = DELIMITCHARL%	: GOSUB *I2NIBBLE_16		'09-02-27 AIS:
	A$ = A$ + I2N_NIBBLE_16$								'09-02-27 AIS:
'
	A$ = A$ + "," + STR$( ZPL_LL_CMD% )						'09-02-27 AIS:
	A$ = A$ + "," + STR$( ZPL_MN_CMD% )						'09-02-27 AIS:
	A$ = A$ + "," + STR$( ZPL_MT_CMD% )						'09-02-27 AIS:
	A$ = A$ + "," + STR$( ZPL_SD_CMD% )						'09-02-27 AIS:
	A$ = A$ + "," + STR$( ZPL_MD_CMD% )						'09-02-27 AIS:
'
	A$ = A$ + "," + ZEROSUP$( TAB_SP% , 2 )					'09-02-27 AIS:
'
	IF RFID_ADJUST% = 0 THEN RFID_ADJUSTW$ = "+"			'09-02-27 AIS:
	A$ = A$ + "," + RFID_ADJUSTW$							'09-02-27 AIS:
	A$ = A$ + ZEROSUP$( RFID_ADJUST% , 4 )					'09-02-27 AIS:
	A$ = A$ + "," + STR$( OFFSET_PRINT% )					'09-02-27 AIS:
	IF LABEL_SHIFT% = 0 THEN LABEL_SHIFTW$ = "+"			'09-08-11 DO-NOZAKI
	A$ = A$ + "," + LABEL_SHIFTW$							'09-08-11 DO-NOZAKI
	A$ = A$ + ZEROSUP$( LABEL_SHIFT% , 4 )					'09-08-11 DO-NOZAKI
REM -----------------------------------------------------------------------------------------------
	OPEN "A:ZEBRAPRM.TXT" FOR APPEND AS #1
	PRINT #1, A$ : CLOSE #1
REM -----------------------------------------------------------------------------------------------
	END
	RETURN
REM ===============================================================================================
REM  RUN THROUGH CHARACTERS
REM ===============================================================================================
*MOVE_CUR
	LOCATE 2, CURSELPOS%
*MOVE_CUR_1
	START.TIME = TIMER
	WHILE TIMER < START.TIME + 3
	WEND
	INPUTKEY$ = ""
	WHILE INPUTKEY$ = ""
		INPUTKEY$ = INKEY$
	WEND
	GOSUB *KEY_PROC_1
	IF DISPPOS% = 12 THEN GOTO *CUR_12CHK
	IF DISPPOS% = 13 THEN GOTO *CUR_12CHK
	IF DISPPOS% = 14 THEN GOTO *CUR_12CHK
	IF DISPPOS% = 21 THEN GOTO *CUR_21CHK
	IF CURSELPOS% >< 15 THEN GOTO *MOVE_CUR_1
	GOTO *CUR_999
*CUR_12CHK
	IF CURSELPOS% < 13 THEN GOTO *MOVE_CUR_1				'09-02-27 AIS: 'CONTROL PREFIX'
	GOTO *CUR_999
*CUR_21CHK
	IF CURSELPOS% < 17 THEN GOTO *MOVE_CUR_1				'09-02-27 AIS: 'TAB -> SP'
*CUR_999
REM
	IF DISPPOS% >< 1 GOTO *MOVE_CUR_2
		IF WORKLENGTH% > LABEL_L_MAX% THEN WORKLENGTH% = LABEL_L_MAX%
		IF WORKLENGTH% < LABEL_L_MIN% THEN WORKLENGTH% = LABEL_L_MIN%
	RETURN
*MOVE_CUR_2
	IF DISPPOS% >< 2 GOTO *MOVE_CUR_7
		IF WORKWIDTH% > LABEL_W_MAX% THEN WORKWIDTH% = LABEL_W_MAX%
		IF WORKWIDTH% < LABEL_W_MIN% THEN WORKWIDTH% = LABEL_W_MIN%
*MOVE_CUR_7
	IF DISPPOS% >< 7 GOTO *MOVE_CUR_12						'09-02-27 AIS: 'MAXIMUM LENGTH'
		IF WORKMAXLENGTH% > LABEL_MAX_MAX% THEN WORKMAXLENGTH% = LABEL_MAX_MAX%	'09-02-27 AIS:
		IF WORKMAXLENGTH% < LABEL_MAX_MIN% THEN WORKMAXLENGTH% = LABEL_MAX_MIN%	'09-02-27 AIS:
*MOVE_CUR_12
	IF DISPPOS% >< 12 GOTO *MOVE_CUR_13						'09-02-27 AIS: 'CONTROL PREFIX'
		IF WORKCTRLPREH% > 15	THEN WORKCTRLPREH% = 15		'09-02-27 AIS:
		IF WORKCTRLPREH% < 0	THEN WORKCTRLPREH% = 0		'09-02-27 AIS:
		IF WORKCTRLPREL% > 15	THEN WORKCTRLPREL% = 15		'09-02-27 AIS:
		IF WORKCTRLPREL% < 0	THEN WORKCTRLPREL% = 0		'09-02-27 AIS:
*MOVE_CUR_13
	IF DISPPOS% >< 13 GOTO *MOVE_CUR_14						'09-02-27 AIS: 'FORMAT PREFIX'
		IF WORKFMTPREH% > 15	THEN WORKFMTPREH% = 15		'09-02-27 AIS:
		IF WORKFMTPREH% < 0	THEN WORKFMTPREH% = 0			'09-02-27 AIS:
		IF WORKFMTPREL% > 15	THEN WORKFMTPREL% = 15		'09-02-27 AIS:
		IF WORKFMTPREL% < 0	THEN WORKFMTPREL% = 0			'09-02-27 AIS:
*MOVE_CUR_14
	IF DISPPOS% >< 14 GOTO *MOVE_CUR_21						'09-02-27 AIS: 'DELIMITER CHAR'
		IF WORKDELICHARH% > 15	THEN WORKDELICHARH% = 15	'09-02-27 AIS:
		IF WORKDELICHARH% < 0	THEN WORKDELICHARH% = 0		'09-02-27 AIS:
		IF WORKDELICHARL% > 15	THEN WORKDELICHARL% = 15	'09-02-27 AIS:
		IF WORKDELICHARL% < 0	THEN WORKDELICHARL% = 0		'09-02-27 AIS:
*MOVE_CUR_21
	IF DISPPOS% >< 21 GOTO *MOVE_CUR_22						'09-02-27 AIS: 'TAB -> SP'
		IF WORKTABSP% > TAB_SP_MAX%	THEN WORKTABSP% = TAB_SP_MAX%	'09-02-27 AIS:
		IF WORKTABSP% < TAB_SP_MIN%	THEN WORKTABSP% = TAB_SP_MIN%	'09-02-27 AIS:
*MOVE_CUR_22
	IF DISPPOS% >< 22 GOTO *MOVE_CUR_24						'09-08-11 DO-NOZAKI: 'RFID ADJUST'
		IF WORKRFIDADJ% > RFID_ADJ_MAX%	THEN WORKRFIDADJ% = RFID_ADJ_MAX%	'09-02-27 AIS:
		IF WORKRFIDADJ% < RFID_ADJ_MIN%	THEN WORKRFIDADJ% = RFID_ADJ_MIN%	'09-02-27 AIS:
*MOVE_CUR_24
	IF DISPPOS% >< 24 GOTO *MOVE_CUR_99						'09-08-11 DO-NOZAKI: 'LABEL SHIFT'
		IF WORKLBLSHIFT% > LABEL_SHIFT_MAX%	THEN WORKLBLSHIFT% = LABEL_SHIFT_MAX%	'09-08-11 DO-NOZAKI:
		IF WORKLBLSHIFT% < LABEL_SHIFT_MIN%	THEN WORKLBLSHIFT% = LABEL_SHIFT_MIN%	'09-08-11 DO-NOZAKI:
*MOVE_CUR_99
	RETURN
REM -----------------------------------------------------------------------------------------------
*KEY_PROC_1
	SELECT INPUTKEY$
		CASE PAUSEKEY$
			CURSELPOS% = CURSELPOS% + 1 
			GOSUB *KEY_PROC_2 : RETURN
		CASE RESTARTKEY$
			GOSUB *INC_ADJUST : RETURN
		CASE FEEDKEY$
			GOSUB *DEC_ADJUST : RETURN
		CASE FEEDRESKEY$									'09-03-03 AIS:
			END												'09-03-03 AIS:
	SELECTEND
	RETURN
REM
*KEY_PROC_2
	IF CURSELPOS% = 13 THEN CURSELPOS% = 14
RETURN
REM ===============================================================================================
REM  L[ɍ킹ẮALCD\
REM -----------------------------------------------------------------------------------------------
REM  RESTARTKEY
REM ===============================================================================================
*RESTARTKEY
	IF DISPPOS% = 0 GOTO *END_MOVE
	SELECT DISPPOS%
		CASE 1
			LOCATE 2, CURSELPOS%
			IF DIRECT% = 1 THEN GOTO *INC_ADJUST ELSE GOTO *DEC_ADJUST	
			RETURN
		CASE 2
			LOCATE 2, CURSELPOS%
			IF DIRECT% = 1 THEN GOTO *INC_ADJUST ELSE GOTO *DEC_ADJUST	
			RETURN
		CASE 3
			LOCATE 2, 1
			IF WITH_RBN_SAVE% = 0 THEN GOTO *RSK_NORBNSAV										'09-07-27 DO-AKAIKE:
			IF DIRECT% = 0 THEN GOTO *RESTARTKEY03
			IF WORKRIBBON% = 0 THEN PRINT "WITH RIBBON SAVE" : WORKRIBBON% = 1 : RETURN		'09-02-27 AIS:
			IF WORKRIBBON% = 1 THEN PRINT "     WITH RIBBON" : WORKRIBBON% = 2 : RETURN		'09-02-27 AIS:
			IF WORKRIBBON% = 2 THEN PRINT "WITHOUT RIBBON H" : WORKRIBBON% = 3 : RETURN		'09-02-27 AIS:
			PRINT                         "  WITHOUT RIBBON" : WORKRIBBON% = 0 : RETURN		'09-02-27 AIS:
*RESTARTKEY03
			IF WORKRIBBON% = 0 THEN PRINT "WITHOUT RIBBON H" : WORKRIBBON% = 3 : RETURN		'09-02-27 AIS:
			IF WORKRIBBON% = 1 THEN PRINT "  WITHOUT RIBBON" : WORKRIBBON% = 0 : RETURN		'09-02-27 AIS:
			IF WORKRIBBON% = 2 THEN PRINT "WITH RIBBON SAVE" : WORKRIBBON% = 1 : RETURN		'09-02-27 AIS:
			PRINT                         "     WITH RIBBON" : WORKRIBBON% = 2 : RETURN		'09-02-27 AIS:
*RSK_NORBNSAV																				'09-07-27 DO-AKAIKE:
			IF WORKRIBBON% = 0 THEN PRINT "     WITH RIBBON" : WORKRIBBON% = 2 : RETURN		'09-07-27 DO-AKAIKE:
			PRINT                         "  WITHOUT RIBBON" : WORKRIBBON% = 0 : RETURN		'09-07-27 DO-AKAIKE:
		CASE 4
			LOCATE 2, 1										'09-02-27 AIS:
			IF DIRECT% = 0 THEN GOTO *RESTARTKEY04
			IF WORKPRTMOD% = 0 THEN PRINT "        PEEL OFF" : WORKPRTMOD% = 1 : RETURN		'09-02-27 AIS:
			IF WORKPRTMOD% = 1 THEN PRINT "      PEEL OFF A" : WORKPRTMOD% = 3 : RETURN		'09-02-27 AIS:
			IF WORKPRTMOD% = 3 THEN PRINT "        WITH CUT" : WORKPRTMOD% = 4 : RETURN		'09-02-27 AIS:
			IF WORKPRTMOD% = 4 THEN PRINT "     DELAYED CUT" : WORKPRTMOD% = 5 : RETURN		'09-05-15 DO-SAKAI:
			IF WORKPRTMOD% = 5 THEN PRINT "            RFID" : WORKPRTMOD% = 6 : RETURN		'09-05-15 DO-SAKAI:
			                        PRINT "          NO CUT" : WORKPRTMOD% = 0 : RETURN		'09-05-15 DO-SAKAI:
*RESTARTKEY04
			IF WORKPRTMOD% = 0 THEN PRINT "            RFID" : WORKPRTMOD% = 6 : RETURN		'09-05-15 DO-SAKAI:
			IF WORKPRTMOD% = 1 THEN PRINT "          NO CUT" : WORKPRTMOD% = 0 : RETURN		'09-05-15 DO-SAKAI:
			IF WORKPRTMOD% = 3 THEN PRINT "        PEEL OFF" : WORKPRTMOD% = 1 : RETURN		'09-05-15 DO-SAKAI:
			IF WORKPRTMOD% = 4 THEN PRINT "      PEEL OFF A" : WORKPRTMOD% = 3 : RETURN		'09-05-15 DO-SAKAI:
			IF WORKPRTMOD% = 5 THEN PRINT "        WITH CUT" : WORKPRTMOD% = 4 : RETURN		'09-05-15 DO-SAKAI:
			                        PRINT "     DELAYED CUT" : WORKPRTMOD% = 5 : RETURN		'09-05-15 DO-SAKAI:
		CASE 5
			LOCATE 2, 1										'09-02-27 AIS:
			IF DIRECT% = 0 THEN GOTO *RESTARTKEY05
			IF WORKSENSOR% = 0 THEN PRINT "         REFLECT" : WORKSENSOR% = 1 : RETURN		'09-02-27 AIS:
			IF WORKSENSOR% = 1 THEN PRINT "           TRANS" : WORKSENSOR% = 2 : RETURN		'09-02-27 AIS:
			IF WORKSENSOR% = 2 THEN PRINT "  TRANS PREPRINT" : WORKSENSOR% = 3 : RETURN		'09-02-27 AIS:
			IF WORKSENSOR% = 3 THEN PRINT "REFLECT MANUAL T" : WORKSENSOR% = 4 : RETURN		'09-02-27 AIS:
			PRINT                         "            NONE" : WORKSENSOR% = 0 : RETURN		'09-02-27 AIS:
*RESTARTKEY05
			IF WORKSENSOR% = 0 THEN PRINT "REFLECT MANUAL T" : WORKSENSOR% = 4 : RETURN		'09-02-27 AIS:
			IF WORKSENSOR% = 1 THEN PRINT "            NONE" : WORKSENSOR% = 0 : RETURN		'09-02-27 AIS:
			IF WORKSENSOR% = 2 THEN PRINT "         REFLECT" : WORKSENSOR% = 1 : RETURN		'09-02-27 AIS:
			IF WORKSENSOR% = 3 THEN PRINT "           TRANS" : WORKSENSOR% = 2 : RETURN		'09-02-27 AIS:
			PRINT                         "  TRANS PREPRINT" : WORKSENSOR% = 3 : RETURN		'09-02-27 AIS:
		CASE 6
			LOCATE 2, 1
			IF DIRECT% = 0 THEN GOTO *RESTARTKEY06
			IF MACHINE_TYPE% =  7 THEN GOTO *KEY05_SEL7		'11-05-14 DO-AKAIKE:7iK̑xI
			IF MACHINE_TYPE% =  8 THEN GOTO *KEY05_SEL7		'11-05-14 DO-AKAIKE:7iK̑xI
			IF MACHINE_TYPE% =  9 THEN GOTO *KEY05_SEL5		'11-05-14 DO-AKAIKE:5iK̑xI
			IF MACHINE_TYPE% = 10 THEN GOTO *KEY05_SEL5		'11-05-14 DO-AKAIKE:5iK̑xI
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(1) : WORKPRNSPEED% = 1 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(2) : WORKPRNSPEED% = 2 : RETURN		'09-02-27 AIS:
			PRINT                           PRN_SPEED_MSG$(0) : WORKPRNSPEED% = 0 : RETURN		'09-02-27 AIS:
*KEY05_SEL7:																					'11-05-13 DO-AKAIKE:
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(1) : WORKPRNSPEED% = 1 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(2) : WORKPRNSPEED% = 2 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 2 THEN PRINT PRN_SPEED_MSG$(3) : WORKPRNSPEED% = 3 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 3 THEN PRINT PRN_SPEED_MSG$(4) : WORKPRNSPEED% = 4 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 4 THEN PRINT PRN_SPEED_MSG$(5) : WORKPRNSPEED% = 5 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 5 THEN PRINT PRN_SPEED_MSG$(6) : WORKPRNSPEED% = 6 : RETURN		'11-05-13 DO-AKAIKE:
			PRINT                           PRN_SPEED_MSG$(0) : WORKPRNSPEED% = 0 : RETURN		'09-02-27 AIS:
*KEY05_SEL5:
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(1) : WORKPRNSPEED% = 1 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(2) : WORKPRNSPEED% = 2 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 2 THEN PRINT PRN_SPEED_MSG$(3) : WORKPRNSPEED% = 3 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 3 THEN PRINT PRN_SPEED_MSG$(4) : WORKPRNSPEED% = 4 : RETURN		'09-02-27 AIS:
			PRINT                           PRN_SPEED_MSG$(0) : WORKPRNSPEED% = 0 : RETURN		'09-02-27 AIS:
'
*RESTARTKEY06
			IF MACHINE_TYPE% =  7 THEN GOTO *KEY06_SEL7		'11-05-14 DO-AKAIKE:7iK̑xI
			IF MACHINE_TYPE% =  8 THEN GOTO *KEY06_SEL7		'11-05-14 DO-AKAIKE:7iK̑xI
			IF MACHINE_TYPE% =  9 THEN GOTO *KEY06_SEL5		'11-05-14 DO-AKAIKE:5iK̑xI
			IF MACHINE_TYPE% = 10 THEN GOTO *KEY06_SEL5		'11-05-14 DO-AKAIKE:5iK̑xI
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(2) : WORKPRNSPEED% = 2 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(0) : WORKPRNSPEED% = 0 : RETURN		'09-02-27 AIS:
			PRINT                           PRN_SPEED_MSG$(1) : WORKPRNSPEED% = 1 : RETURN		'09-02-27 AIS:
*KEY06_SEL7:
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(6) : WORKPRNSPEED% = 6 : RETURN		'11-05-13 DO-AKAIKE:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(0) : WORKPRNSPEED% = 0 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 2 THEN PRINT PRN_SPEED_MSG$(1) : WORKPRNSPEED% = 1 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 3 THEN PRINT PRN_SPEED_MSG$(2) : WORKPRNSPEED% = 2 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 4 THEN PRINT PRN_SPEED_MSG$(3) : WORKPRNSPEED% = 3 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 5 THEN PRINT PRN_SPEED_MSG$(4) : WORKPRNSPEED% = 4 : RETURN		'11-05-13 DO-AKAIKE:
			PRINT                           PRN_SPEED_MSG$(5) : WORKPRNSPEED% = 5 : RETURN		'11-05-13 DO-AKAIKE:
*KEY06_SEL5:
			IF WORKPRNSPEED% = 0 THEN PRINT PRN_SPEED_MSG$(4) : WORKPRNSPEED% = 4 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 1 THEN PRINT PRN_SPEED_MSG$(0) : WORKPRNSPEED% = 0 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 2 THEN PRINT PRN_SPEED_MSG$(1) : WORKPRNSPEED% = 1 : RETURN		'09-02-27 AIS:
			IF WORKPRNSPEED% = 3 THEN PRINT PRN_SPEED_MSG$(2) : WORKPRNSPEED% = 2 : RETURN		'09-02-27 AIS:
			PRINT                           PRN_SPEED_MSG$(3) : WORKPRNSPEED% = 3 : RETURN		'09-02-27 AIS:
		CASE 7
			LOCATE 2, CURSELPOS%									'09-02-27 AIS:
			IF DIRECT% = 1 THEN GOTO *INC_ADJUST ELSE GOTO *DEC_ADJUST				'09-02-27 AIS:
			RETURN											'09-02-27 AIS:
		CASE 8
			LOCATE 2, 1										'09-02-27 AIS:
			IF DIRECT% = 0 THEN GOTO *RESTARTKEY08
			IF WORKPONCLB% = 0 THEN PRINT " SHORT CALIBRATE" : WORKPONCLB% = 1 : RETURN		'09-02-27 AIS:
			IF WORKPONCLB% = 1 THEN PRINT "      SET LENGTH" : WORKPONCLB% = 2 : RETURN		'09-02-27 AIS:
			IF WORKPONCLB% = 2 THEN PRINT "            NONE" : WORKPONCLB% = 3 : RETURN		'09-02-27 AIS:
			IF WORKPONCLB% = 3 THEN PRINT "            FEED" : WORKPONCLB% = 4 : RETURN		'09-02-27 AIS:
			PRINT                         "       CALIBRATE" : WORKPONCLB% = 0 : RETURN		'09-02-27 AIS:
*RESTARTKEY08
			IF WORKPONCLB% = 0 THEN PRINT "            FEED" : WORKPONCLB% = 4 : RETURN		'09-02-27 AIS:
			IF WORKPONCLB% = 1 THEN PRINT "       CALIBRATE" : WORKPONCLB% = 0 : RETURN		'09-02-27 AIS:
			IF WORKPONCLB% = 2 THEN PRINT " SHORT CALIBRATE" : WORKPONCLB% = 1 : RETURN		'09-02-27 AIS:
			IF WORKPONCLB% = 3 THEN PRINT "      SET LENGTH" : WORKPONCLB% = 2 : RETURN		'09-02-27 AIS:
			PRINT                         "            NONE" : WORKPONCLB% = 3 : RETURN		'09-02-27 AIS:
		CASE 9
			LOCATE 2, 1										'09-02-27 AIS:
			IF DIRECT% = 0 THEN GOTO *RESTARTKEY09
			IF WORKHCLOSECLB% = 0 THEN PRINT " SHORT CALIBRATE" : WORKHCLOSECLB% = 1 : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 1 THEN PRINT "      SET LENGTH" : WORKHCLOSECLB% = 2 : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 2 THEN PRINT "            NONE" : WORKHCLOSECLB% = 3 : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 3 THEN PRINT "            FEED" : WORKHCLOSECLB% = 4 : RETURN	'09-02-27 AIS:
			PRINT                            "       CALIBRATE" : WORKHCLOSECLB% = 0 : RETURN	'09-02-27 AIS:
*RESTARTKEY09
			IF WORKHCLOSECLB% = 0 THEN PRINT "            FEED" : WORKHCLOSECLB% = 4 : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 1 THEN PRINT "       CALIBRATE" : WORKHCLOSECLB% = 0 : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 2 THEN PRINT " SHORT CALIBRATE" : WORKHCLOSECLB% = 1 : RETURN	'09-02-27 AIS:
			IF WORKHCLOSECLB% = 3 THEN PRINT "      SET LENGTH" : WORKHCLOSECLB% = 2 : RETURN	'09-02-27 AIS:
			PRINT                            "            NONE" : WORKHCLOSECLB% = 3 : RETURN	'09-02-27 AIS:
		CASE 10
			LOCATE 2, 1
			IF WORKDPM% = 0 THEN PRINT DPM_LOW_MSG$  : WORKDPM% = 1 : RETURN			'09-02-27 AIS:
			PRINT                      DPM_HIGH_MSG$ : WORKDPM% = 0 : RETURN			'09-02-27 AIS:
		CASE 11
			LOCATE 2, 1										'09-02-27 AIS:
			IF DIRECT% = 0 THEN GOTO *RESTARTKEY11
			IF WORKFORMATCNV% = 0 THEN PRINT "        150->300" : WORKFORMATCNV% = 1 : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 1 THEN PRINT "        150->600" : WORKFORMATCNV% = 2 : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 2 THEN PRINT "        200->600" : WORKFORMATCNV% = 3 : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 3 THEN PRINT "        300->600" : WORKFORMATCNV% = 4 : RETURN	'09-02-27 AIS:
			PRINT                            "            NONE" : WORKFORMATCNV% = 0 : RETURN	'09-02-27 AIS:
*RESTARTKEY11
			IF WORKFORMATCNV% = 0 THEN PRINT "        300->600" : WORKFORMATCNV% = 4 : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 1 THEN PRINT "            NONE" : WORKFORMATCNV% = 0 : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 2 THEN PRINT "        150->300" : WORKFORMATCNV% = 1 : RETURN	'09-02-27 AIS:
			IF WORKFORMATCNV% = 3 THEN PRINT "        150->600" : WORKFORMATCNV% = 2 : RETURN	'09-02-27 AIS:
			PRINT                            "        200->600" : WORKFORMATCNV% = 3 : RETURN	'09-02-27 AIS:
		CASE 12
		CASE 13
		CASE 14
			LOCATE 2, CURSELPOS%
			IF DIRECT% = 1 THEN GOTO *INC_ADJUST ELSE GOTO *DEC_ADJUST	
			RETURN
		CASE 15
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLLLCMD% = 0 THEN PRINT "         DISABLE" : WORKZPLLLCMD% = 1 : RETURN		'09-02-27 AIS:
			PRINT                           "          ENABLE" : WORKZPLLLCMD% = 0 : RETURN		'09-02-27 AIS:
		CASE 16
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLMNCMD% = 0 THEN PRINT "         DISABLE" : WORKZPLMNCMD% = 1 : RETURN		'09-02-27 AIS:
			PRINT                           "          ENABLE" : WORKZPLMNCMD% = 0 : RETURN		'09-02-27 AIS:
		CASE 17
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLMTCMD% = 0 THEN PRINT "         DISABLE" : WORKZPLMTCMD% = 1 : RETURN		'09-02-27 AIS:
			PRINT                           "          ENABLE" : WORKZPLMTCMD% = 0 : RETURN		'09-02-27 AIS:
		CASE 18
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLSDCMD% = 0 THEN PRINT "         DISABLE" : WORKZPLSDCMD% = 1 : RETURN		'09-02-27 AIS:
			PRINT                           "          ENABLE" : WORKZPLSDCMD% = 0 : RETURN		'09-02-27 AIS:
		CASE 19
			LOCATE 2, 1										'09-02-27 AIS:
			IF WORKZPLMDCMD% = 0 THEN PRINT "         DISABLE" : WORKZPLMDCMD% = 1 : RETURN		'09-02-27 AIS:
			PRINT                           "          ENABLE" : WORKZPLMDCMD% = 0 : RETURN		'09-02-27 AIS:
		CASE 20
			LOCATE 2, 1
			IF WORKGRAPOS% = 0 THEN PRINT "PRECISE POSITION" : WORKGRAPOS% = 1 : RETURN
			PRINT "  SPEED-ORIENTED" : WORKGRAPOS% = 0 : RETURN
		CASE 21
			LOCATE 2, CURSELPOS%							'09-02-27 AIS:
			IF DIRECT% = 1 THEN GOTO *INC_ADJUST ELSE GOTO *DEC_ADJUST	'09-02-27 AIS:
			RETURN											'09-02-27 AIS:
		CASE 22
			LOCATE 2, CURSELPOS%							'09-02-27 AIS:
			IF DIRECT% = 1 THEN GOTO *INC_ADJUST ELSE GOTO *DEC_ADJUST	'09-02-27 AIS:
			RETURN											'09-02-27 AIS:
		CASE 23
			LOCATE 2, 1										'09-02-27 AIS:
			IF DIRECT% = 0 THEN GOTO *RESTARTKEY23
			IF WORKOFFSETPRN% = 0 THEN PRINT "WITHOUT BACKFEED" : WORKOFFSETPRN% = 1 : RETURN	'09-02-27 AIS:
			IF WORKOFFSETPRN% = 1 THEN PRINT "   WITH BACKFEED" : WORKOFFSETPRN% = 2 : RETURN	'09-02-27 AIS:
			PRINT                            "            NONE" : WORKOFFSETPRN% = 0 : RETURN	'09-02-27 AIS:
*RESTARTKEY23
			IF WORKOFFSETPRN% = 0 THEN PRINT "   WITH BACKFEED" : WORKOFFSETPRN% = 2 : RETURN	'09-02-27 AIS:
			IF WORKOFFSETPRN% = 1 THEN PRINT "            NONE" : WORKOFFSETPRN% = 0 : RETURN	'09-02-27 AIS:
			PRINT                            "WITHOUT BACKFEED" : WORKOFFSETPRN% = 1 : RETURN	'09-02-27 AIS:
		CASE 24
			LOCATE 2, CURSELPOS%							'09-08-11 DO-NOZAKI
			IF DIRECT% = 1 THEN GOTO *INC_ADJUST ELSE GOTO *DEC_ADJUST	'09-08-11 DO-NOZAKI
			RETURN											'09-08-11 DO-NOZAKI
		CASE 25
			LOCATE 2, 1
			IF SAVE% = 0 THEN PRINT "              OK" : SAVE% = 1 : RETURN
			PRINT "          CANCEL" : SAVE% = 0 : RETURN
	SELECTEND
	RETURN
REM ===============================================================================================
REM  Parameter Inc
REM ===============================================================================================
*INC_ADJUST
	IF DISPPOS% >< 1 GOTO *INC_P0002
	SELECT CURSELPOS%
		CASE 9
			CNT% = WORKLENGTH% \ 10000
			IF CNT% = 0 THEN WKDATA% = WORKLENGTH% + 10000 ELSE WKDATA% = WORKLENGTH% - 10000
			GOTO *INCDEC_01
		CASE 10
			CNT% = WORKLENGTH% \ 1000 MOD 10
			IF CNT% = 9 THEN WKDATA% = WORKLENGTH% - 9000 ELSE WKDATA% = WORKLENGTH% + 1000
			GOTO *INCDEC_01
		CASE 11
			CNT% = WORKLENGTH% \ 100 MOD 10
			IF CNT% = 9 THEN WKDATA% = WORKLENGTH% - 900 ELSE WKDATA% = WORKLENGTH% + 100
			GOTO *INCDEC_01
		CASE 12
			CNT% = WORKLENGTH% \ 10 MOD 10
			IF CNT% = 9 THEN WKDATA% = WORKLENGTH% - 90 ELSE WKDATA% = WORKLENGTH% + 10
			GOTO *INCDEC_01
		CASE 14
			CNT% = WORKLENGTH% MOD 10
			IF CNT% = 9 THEN WKDATA% = WORKLENGTH% - 9 ELSE WKDATA% = WORKLENGTH% + 1
			GOTO *INCDEC_01
	SELECTEND
*INC_P0002
	IF DISPPOS% >< 2 GOTO *INC_P0007
	SELECT CURSELPOS%
		CASE 10
			CNT% = WORKWIDTH% \ 1000
			IF CNT% = 0 THEN WKDATA% = WORKWIDTH% + 1000 ELSE WKDATA% = WORKWIDTH% - 1000
			GOTO *INCDEC_02
		CASE 11
			CNT% = WORKWIDTH% \ 100 MOD 10
			IF CNT% = 9 THEN WKDATA% = WORKWIDTH% - 900 ELSE WKDATA% = WORKWIDTH% + 100
			GOTO *INCDEC_02
		CASE 12
			CNT% = WORKWIDTH% \ 10 MOD 10
			IF CNT% = 9 THEN WKDATA% = WORKWIDTH% - 90 ELSE WKDATA% = WORKWIDTH% + 10
			GOTO *INCDEC_02
		CASE 14
			CNT% = WORKWIDTH% MOD 10
			IF CNT% = 9 THEN WKDATA% = WORKWIDTH% - 9 ELSE WKDATA% = WORKWIDTH% + 1
			GOTO *INCDEC_02
	SELECTEND
*INC_P0007					' 'MAXIMUM LENGTH' AIS
	IF DISPPOS% >< 7 GOTO *INC_P0012						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 9												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% \ 10000					'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKMAXLENGTH% + 10000 ELSE WKDATA% = WORKMAXLENGTH% - 10000	'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
		CASE 10												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% \ 1000 MOD 10				'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKMAXLENGTH% - 9000 ELSE WKDATA% = WORKMAXLENGTH% + 1000	'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% \ 100 MOD 10				'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKMAXLENGTH% - 900 ELSE WKDATA% = WORKMAXLENGTH% + 100	'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% \ 10 MOD 10				'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKMAXLENGTH% - 90 ELSE WKDATA% = WORKMAXLENGTH% + 10	'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
		CASE 14												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% MOD 10					'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKMAXLENGTH% - 9 ELSE WKDATA% = WORKMAXLENGTH% + 1		'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*INC_P0012					' 'CONTROL PREFIX' AIS			'09-02-27 AIS:
	IF DISPPOS% >< 12 GOTO *INC_P0013						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			WORKCTRLPREH% = WORKCTRLPREH% + 1				'09-02-27 AIS:
			IF WORKCTRLPREH% > 15 THEN WORKCTRLPREH% = 0	'09-02-27 AIS:
			GOTO *INCDEC_12									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			WORKCTRLPREL% = WORKCTRLPREL% + 1				'09-02-27 AIS:
			IF WORKCTRLPREL% > 15 THEN WORKCTRLPREL% = 0	'09-02-27 AIS:
			GOTO *INCDEC_12									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*INC_P0013					' 'FORMAT PREFIX' AIS			'09-02-27 AIS:
	IF DISPPOS% >< 13 GOTO *INC_P0014						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			WORKFMTPREH% = WORKFMTPREH% + 1					'09-02-27 AIS:
			IF WORKFMTPREH% > 15 THEN WORKFMTPREH% = 0		'09-02-27 AIS:
			GOTO *INCDEC_13									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			WORKFMTPREL% = WORKFMTPREL% + 1					'09-02-27 AIS:
			IF WORKFMTPREL% > 15 THEN WORKFMTPREL% = 0		'09-02-27 AIS:
			GOTO *INCDEC_13									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*INC_P0014					' 'DELIMITER CHAR' AIS			'09-02-27 AIS:
	IF DISPPOS% >< 14 GOTO *INC_P0021						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			WORKDELICHARH% = WORKDELICHARH% + 1				'09-02-27 AIS:
			IF WORKDELICHARH% > 15 THEN WORKDELICHARH% = 0	'09-02-27 AIS:
			GOTO *INCDEC_14									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			WORKDELICHARL% = WORKDELICHARL% + 1				'09-02-27 AIS:
			IF WORKDELICHARL% > 15 THEN WORKDELICHARL% = 0	'09-02-27 AIS:
			GOTO *INCDEC_14									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*INC_P0021													'09-02-27 AIS:
	IF DISPPOS% >< 21 GOTO *INC_P0022						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 15												'09-02-27 AIS:
			CNT% = WORKTABSP% \ 10 MOD 10					'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKTABSP% - 90 ELSE WKDATA% = WORKTABSP% + 10		'09-02-27 AIS:
			GOTO *INCDEC_21									'09-02-27 AIS:
		CASE 16												'09-02-27 AIS:
			CNT% = WORKTABSP% MOD 10						'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKTABSP% - 9 ELSE WKDATA% = WORKTABSP% + 1			'09-02-27 AIS:
			GOTO *INCDEC_21									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*INC_P0022													'09-02-27 AIS:
REM ' [090811 DO-NOZAKI] MOD
REM '	IF DISPPOS% >< 22 GOTO *INCDEC_99					'09-02-27 AIS:
	IF DISPPOS% >< 22 GOTO *INC_P0024						'09-02-27 DO-NOZAKI
REM ' [090811 DO-NOZAKI] MOD
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 9												'09-02-27 AIS:
			IF WORKRFIDADJW$ = "+" THEN WORKRFIDADJW$ = "-" ELSE WORKRFIDADJW$ = "+"		'09-02-27 AIS:
			WKDATA% = WORKRFIDADJ%							'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
		CASE 10												'09-02-27 AIS:
			CNT% = WORKRFIDADJ% \ 1000 MOD 10				'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKRFIDADJ% - 9000 ELSE WKDATA% = WORKRFIDADJ% + 1000	'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			CNT% = WORKRFIDADJ% \ 100 MOD 10				'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKRFIDADJ% - 900 ELSE WKDATA% = WORKRFIDADJ% + 100		'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			CNT% = WORKRFIDADJ% \ 10 MOD 10					'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKRFIDADJ% - 90 ELSE WKDATA% = WORKRFIDADJ% + 10		'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
		CASE 14												'09-02-27 AIS:
			CNT% = WORKRFIDADJ% MOD 10						'09-02-27 AIS:
			IF CNT% = 9 THEN WKDATA% = WORKRFIDADJ% - 9 ELSE WKDATA% = WORKRFIDADJ% + 1		'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
*INC_P0024													'09-08-11 DO-NOZAKI
	IF DISPPOS% >< 24 GOTO *INCDEC_99						'09-08-11 DO-NOZAKI
	SELECT CURSELPOS%										'09-08-11 DO-NOZAKI
		CASE 9												'09-08-11 DO-NOZAKI
			IF WORKLBLSHIFTW$ = "+" THEN WORKLBLSHIFTW$ = "-" ELSE WORKLBLSHIFTW$ = "+"		'09-08-11 DO-NOZAKI
			WKDATA% = WORKLBLSHIFT%							'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
		CASE 10												'09-08-11 DO-NOZAKI
			CNT% = WORKLBLSHIFT% \ 1000 MOD 10				'09-08-11 DO-NOZAKI
			IF CNT% = 9 THEN WKDATA% = WORKLBLSHIFT% - 9000 ELSE WKDATA% = WORKLBLSHIFT% + 1000	'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
		CASE 11												'09-08-11 DO-NOZAKI
			CNT% = WORKLBLSHIFT% \ 100 MOD 10				'09-08-11 DO-NOZAKI
			IF CNT% = 9 THEN WKDATA% = WORKLBLSHIFT% - 900 ELSE WKDATA% = WORKLBLSHIFT% + 100	'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
		CASE 12												'09-08-11 DO-NOZAKI
			CNT% = WORKLBLSHIFT% \ 10 MOD 10				'09-08-11 DO-NOZAKI
			IF CNT% = 9 THEN WKDATA% = WORKLBLSHIFT% - 90 ELSE WKDATA% = WORKLBLSHIFT% + 10		'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
		CASE 14												'09-08-11 DO-NOZAKI
			CNT% = WORKLBLSHIFT% MOD 10						'09-08-11 DO-NOZAKI
			IF CNT% = 9 THEN WKDATA% = WORKLBLSHIFT% - 9 ELSE WKDATA% = WORKLBLSHIFT% + 1		'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
	SELECTEND												'09-02-27 AIS:
REM ===============================================================================================
REM  Parameter Dec
REM ===============================================================================================
*DEC_ADJUST
	IF DISPPOS% >< 1 GOTO *DEC_P0002
	SELECT CURSELPOS%
		CASE 9
			CNT% = WORKLENGTH% \ 10000
			IF CNT% = 0 THEN WKDATA% = WORKLENGTH% + 10000 ELSE WKDATA% = WORKLENGTH% - 10000
			GOTO *INCDEC_01
		CASE 10
			CNT% = WORKLENGTH% \ 1000 MOD 10
			IF CNT% = 0 THEN WKDATA% = WORKLENGTH% + 9000 ELSE WKDATA% = WORKLENGTH% - 1000
			GOTO *INCDEC_01
		CASE 11
			CNT% = WORKLENGTH% \ 100 MOD 10
			IF CNT% = 0 THEN WKDATA% = WORKLENGTH% + 900 ELSE WKDATA% = WORKLENGTH% - 100
			GOTO *INCDEC_01
		CASE 12
			CNT% = WORKLENGTH% \ 10 MOD 10
			IF CNT% = 0 THEN WKDATA% = WORKLENGTH% + 90 ELSE WKDATA% = WORKLENGTH% - 10
			GOTO *INCDEC_01
		CASE 14
			CNT% = WORKLENGTH% MOD 10
			IF CNT% = 0 THEN WKDATA% = WORKLENGTH% + 9 ELSE WKDATA% = WORKLENGTH% - 1
			GOTO *INCDEC_01
	SELECTEND
*DEC_P0002
	IF DISPPOS% >< 2 GOTO *DEC_P0007
	SELECT CURSELPOS%
		CASE 10
			CNT% = WORKWIDTH% \ 1000
			IF CNT% = 0 THEN WKDATA% = WORKWIDTH% + 1000 ELSE WKDATA% = WORKWIDTH% - 1000
			GOTO *INCDEC_02
		CASE 11
			CNT% = WORKWIDTH% \ 100 MOD 10
			IF CNT% = 0 THEN WKDATA% = WORKWIDTH% + 900 ELSE WKDATA% = WORKWIDTH% - 100
			GOTO *INCDEC_02
		CASE 12
			CNT% = WORKWIDTH% \ 10 MOD 10
			IF CNT% = 0 THEN WKDATA% = WORKWIDTH% + 90 ELSE WKDATA% = WORKWIDTH% - 10
			GOTO *INCDEC_02
		CASE 14
			CNT% = WORKWIDTH% MOD 10
			IF CNT% = 0 THEN WKDATA% = WORKWIDTH% + 9 ELSE WKDATA% = WORKWIDTH% - 1
			GOTO *INCDEC_02
	SELECTEND
*DEC_P0007					' 'MAXIMUM LENGTH' AIS
	IF DISPPOS% >< 7 GOTO *DEC_P0012						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 9												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% \ 10000					'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKMAXLENGTH% + 10000 ELSE WKDATA% = WORKMAXLENGTH% - 10000	'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
		CASE 10												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% \ 1000 MOD 10				'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKMAXLENGTH% + 9000 ELSE WKDATA% = WORKMAXLENGTH% - 1000	'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% \ 100 MOD 10				'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKMAXLENGTH% + 900 ELSE WKDATA% = WORKMAXLENGTH% - 100	'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% \ 10 MOD 10				'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKMAXLENGTH% + 90 ELSE WKDATA% = WORKMAXLENGTH% - 10	'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
		CASE 14												'09-02-27 AIS:
			CNT% = WORKMAXLENGTH% MOD 10					'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKMAXLENGTH% + 9 ELSE WKDATA% = WORKMAXLENGTH% - 1		'09-02-27 AIS:
			GOTO *INCDEC_07									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*DEC_P0012					' 'CONTROL PREFIX' AIS
	IF DISPPOS% >< 12 GOTO *DEC_P0013						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			WORKCTRLPREH% = WORKCTRLPREH% - 1				'09-02-27 AIS:
			IF WORKCTRLPREH% < 0 THEN WORKCTRLPREH% = 15	'09-02-27 AIS:
			GOTO *INCDEC_12									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			WORKCTRLPREL% = WORKCTRLPREL% - 1				'09-02-27 AIS:
			IF WORKCTRLPREL% < 0 THEN WORKCTRLPREL% = 15	'09-02-27 AIS:
			GOTO *INCDEC_12									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*DEC_P0013					' 'FORMAT PREFIX' AIS
	IF DISPPOS% >< 13 GOTO *DEC_P0014						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			WORKFMTPREH% = WORKFMTPREH% - 1					'09-02-27 AIS:
			IF WORKFMTPREH% < 0 THEN WORKFMTPREH% = 15		'09-02-27 AIS:
			GOTO *INCDEC_13									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			WORKFMTPREL% = WORKFMTPREL% - 1					'09-02-27 AIS:
			IF WORKFMTPREL% < 0 THEN WORKFMTPREL% = 15		'09-02-27 AIS:
			GOTO *INCDEC_13									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*DEC_P0014					' 'DELIMITER CHAR' AIS
	IF DISPPOS% >< 14 GOTO *DEC_P0021						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			WORKDELICHARH% = WORKDELICHARH% - 1				'09-02-27 AIS:
			IF WORKDELICHARH% < 0 THEN WORKDELICHARH% = 15	'09-02-27 AIS:
			GOTO *INCDEC_14									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			WORKDELICHARL% = WORKDELICHARL% - 1				'09-02-27 AIS:
			IF WORKDELICHARL% < 0 THEN WORKDELICHARL% = 15	'09-02-27 AIS:
			GOTO *INCDEC_14									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*DEC_P0021					' 'TAB -> SPACE' AIS
	IF DISPPOS% >< 21 GOTO *DEC_P0022						'09-02-27 AIS:
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 15												'09-02-27 AIS:
			CNT% = WORKTABSP% \ 10 MOD 10					'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKTABSP% + 90 ELSE WKDATA% = WORKTABSP% - 10		'09-02-27 AIS:
			GOTO *INCDEC_21									'09-02-27 AIS:
		CASE 16												'09-02-27 AIS:
			CNT% = WORKTABSP% MOD 10						'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKTABSP% + 9 ELSE WKDATA% = WORKTABSP% - 1			'09-02-27 AIS:
			GOTO *INCDEC_21									'09-02-27 AIS:
	SELECTEND												'09-02-27 AIS:
*DEC_P0022					' 'RFID ADJUST' AIS
	IF DISPPOS% >< 22 GOTO *DEC_P0024						'09-02-27 DO-NOZAKI
	SELECT CURSELPOS%										'09-02-27 AIS:
		CASE 9												'09-02-27 AIS:
			IF WORKRFIDADJW$ = "+" THEN WORKRFIDADJW$ = "-" ELSE WORKRFIDADJW$ = "+"		'09-02-27 AIS:
			WKDATA% = WORKRFIDADJ%							'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
		CASE 10												'09-02-27 AIS:
			CNT% = WORKRFIDADJ% \ 1000 MOD 10				'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKRFIDADJ% + 9000 ELSE WKDATA% = WORKRFIDADJ% - 1000	'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
		CASE 11												'09-02-27 AIS:
			CNT% = WORKRFIDADJ% \ 100 MOD 10				'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKRFIDADJ% + 900 ELSE WKDATA% = WORKRFIDADJ% - 100		'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
		CASE 12												'09-02-27 AIS:
			CNT% = WORKRFIDADJ% \ 10 MOD 10					'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKRFIDADJ% + 90 ELSE WKDATA% = WORKRFIDADJ% - 10		'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
		CASE 14												'09-02-27 AIS:
			CNT% = WORKRFIDADJ% MOD 10						'09-02-27 AIS:
			IF CNT% = 0 THEN WKDATA% = WORKRFIDADJ% + 9 ELSE WKDATA% = WORKRFIDADJ% - 1		'09-02-27 AIS:
			GOTO *INCDEC_22									'09-02-27 AIS:
*DEC_P0024					' 'LABEL SHIFT' DO-NOZAKI
	IF DISPPOS% >< 24 GOTO *INCDEC_99						'09-08-11 DO-NOZAKI
	SELECT CURSELPOS%										'09-08-11 DO-NOZAKI
		CASE 9												'09-08-11 DO-NOZAKI
			IF WORKLBLSHIFTW$ = "+" THEN WORKLBLSHIFTW$ = "-" ELSE WORKLBLSHIFTW$ = "+"		'09-08-11 DO-NOZAKI
			WKDATA% = WORKLBLSHIFT%							'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
		CASE 10												'09-08-11 DO-NOZAKI
			CNT% = WORKLBLSHIFT% \ 1000 MOD 10				'09-08-11 DO-NOZAKI
			IF CNT% = 0 THEN WKDATA% = WORKLBLSHIFT% + 9000 ELSE WKDATA% = WORKLBLSHIFT% - 1000	'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
		CASE 11												'09-08-11 DO-NOZAKI
			CNT% = WORKLBLSHIFT% \ 100 MOD 10				'09-08-11 DO-NOZAKI
			IF CNT% = 0 THEN WKDATA% = WORKLBLSHIFT% + 900 ELSE WKDATA% = WORKLBLSHIFT% - 100	'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
		CASE 12												'09-08-11 DO-NOZAKI
			CNT% = WORKLBLSHIFT% \ 10 MOD 10				'09-08-11 DO-NOZAKI
			IF CNT% = 0 THEN WKDATA% = WORKLBLSHIFT% + 90 ELSE WKDATA% = WORKLBLSHIFT% - 10		'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
		CASE 14												'09-08-11 DO-NOZAKI
			CNT% = WORKLBLSHIFT% MOD 10						'09-08-11 DO-NOZAKI
			IF CNT% = 0 THEN WKDATA% = WORKLBLSHIFT% + 9 ELSE WKDATA% = WORKLBLSHIFT% - 1		'09-08-11 DO-NOZAKI
			GOTO *INCDEC_24									'09-08-11 DO-NOZAKI
	SELECTEND												'09-02-27 AIS:
REM ===============================================================================================
REM  Parameter Inc/Dec 
REM ===============================================================================================
*INCDEC_01
	WORKLENGTH% = WKDATA%
	LOCATE 2, 1
	B$ = ZEROSUP$( WORKLENGTH% , 5 )
	C$ = LEFT$( B$ , 4 )
	D$ = RIGHT$( B$ , 1 )
	A$ = "        " + C$ + "." + D$ + "mm"
	PRINT A$
	RETURN
REM 
*INCDEC_02
	WORKWIDTH% = WKDATA%
	LOCATE 2, 1
	B$ = ZEROSUP$( WORKWIDTH% , 4 )
	C$ = LEFT$( B$ , 3 )
	D$ = RIGHT$( B$ , 1 )
	A$ = "         " + C$ + "." + D$ + "mm" 
	PRINT A$ 
	RETURN
REM
*INCDEC_07					' 'MAXIMUM LENGTH' AIS
	WORKMAXLENGTH% = WKDATA%								'09-02-27 AIS:
	LOCATE 2, 1												'09-02-27 AIS:
	B$ = ZEROSUP$( WORKMAXLENGTH% , 5 )						'09-02-27 AIS:
	C$ = LEFT$( B$ , 4 )									'09-02-27 AIS:
	D$ = RIGHT$( B$ , 1 )									'09-02-27 AIS:
	A$ = "        " + C$ + "." + D$ + "mm"					'09-02-27 AIS:
	PRINT A$												'09-02-27 AIS:
	RETURN													'09-02-27 AIS:
REM
*INCDEC_12					' 'CONTROL PREFIX' AIS
	LOCATE 2, 1												'09-02-27 AIS:
	PRINT "          "										'09-02-27 AIS:
	LOCATE 2, 11											'09-02-27 AIS:
	I2N_I_16% = WORKCTRLPREH% : GOSUB *I2NIBBLE_16			'09-02-27 AIS:
	PRINT I2N_NIBBLE_16$									'09-02-27 AIS:
	LOCATE 2, 12											'09-02-27 AIS:
	I2N_I_16% = WORKCTRLPREL% : GOSUB *I2NIBBLE_16			'09-02-27 AIS:
	PRINT I2N_NIBBLE_16$									'09-02-27 AIS:
	LOCATE 2, 13											'09-02-27 AIS:
	TEMP_I% = WORKCTRLPREH% * 16 + WORKCTRLPREL%			'09-02-27 AIS:
	TEMP_S$ = " (" + CHR$(TEMP_I%) + ")"					'09-02-27 AIS:
	PRINT TEMP_S$											'09-02-27 AIS:
	RETURN													'09-02-27 AIS:
REM
*INCDEC_13					' 'FORMAT PREFIX' AIS
	LOCATE 2, 1												'09-02-27 AIS:
	PRINT "          "										'09-02-27 AIS:
	LOCATE 2, 11											'09-02-27 AIS:
	I2N_I_16% = WORKFMTPREH% : GOSUB *I2NIBBLE_16			'09-02-27 AIS:
	PRINT I2N_NIBBLE_16$									'09-02-27 AIS:
	LOCATE 2, 12											'09-02-27 AIS:
	I2N_I_16% = WORKFMTPREL% : GOSUB *I2NIBBLE_16			'09-02-27 AIS:
	PRINT I2N_NIBBLE_16$									'09-02-27 AIS:
	LOCATE 2, 13											'09-02-27 AIS:
	TEMP_I% = WORKFMTPREH% * 16 + WORKFMTPREL%				'09-02-27 AIS:
	TEMP_S$ = " (" + CHR$(TEMP_I%) + ")"					'09-02-27 AIS:
	PRINT TEMP_S$											'09-02-27 AIS:
	RETURN
REM
*INCDEC_14					' 'DELIMITER CHAR' AIS
	LOCATE 2, 1												'09-02-27 AIS:
	PRINT "          "										'09-02-27 AIS:
	LOCATE 2, 11											'09-02-27 AIS:
	I2N_I_16% = WORKDELICHARH% : GOSUB *I2NIBBLE_16			'09-02-27 AIS:
	PRINT I2N_NIBBLE_16$									'09-02-27 AIS:
	LOCATE 2, 12											'09-02-27 AIS:
	I2N_I_16% = WORKDELICHARL% : GOSUB *I2NIBBLE_16			'09-02-27 AIS:
	PRINT I2N_NIBBLE_16$									'09-02-27 AIS:
	LOCATE 2, 13											'09-02-27 AIS:
	TEMP_I% = WORKDELICHARH% * 16 + WORKDELICHARL%			'09-02-27 AIS:
	TEMP_S$ = " (" + CHR$(TEMP_I%) + ")"					'09-02-27 AIS:
	PRINT TEMP_S$											'09-02-27 AIS:
	RETURN
REM
*INCDEC_21					' 'DTAB -> SP' AIS
	WORKTABSP% = WKDATA%									'09-02-27 AIS:
	B$ = ZEROSUP$( WORKTABSP% , 2 )							'09-02-27 AIS:
	LOCATE 2, 1												'09-02-27 AIS:
	PRINT "              "									'09-02-27 AIS:
	PRINT B$ 												'09-02-27 AIS:
	RETURN													'09-02-27 AIS:
REM
*INCDEC_22					' 'RFID ADJUST' AIS
	WORKRFIDADJ% = WKDATA%									'09-02-27 AIS:
	LOCATE 2, 1												'09-02-27 AIS:
	B$ = ZEROSUP$( WORKRFIDADJ% , 4 )						'09-02-27 AIS:
	C$ = LEFT$( B$ , 3 )									'09-02-27 AIS:
	D$ = RIGHT$( B$ , 1 )									'09-02-27 AIS:
	A$ = "        " + WORKRFIDADJW$ + C$ + "." + D$ + "mm"	'09-02-27 AIS:
	PRINT A$												'09-02-27 AIS:
	RETURN													'09-02-27 AIS:
REM
*INCDEC_24					' 'LABEL SHIFT' NOZAKI
	WORKLBLSHIFT% = WKDATA%									'09-08-11 DO-NOZAKI
	LOCATE 2, 1												'09-08-11 DO-NOZAKI
	B$ = ZEROSUP$( WORKLBLSHIFT% , 4 )						'09-08-11 DO-NOZAKI
	C$ = LEFT$( B$ , 3 )									'09-08-11 DO-NOZAKI
	D$ = RIGHT$( B$ , 1 )									'09-08-11 DO-NOZAKI
	A$ = "        " + WORKLBLSHIFTW$ + C$ + "." + D$ + "mm"	'09-08-11 DO-NOZAKI
	PRINT A$												'09-08-11 DO-NOZAKI
	RETURN													'09-08-11 DO-NOZAKI
*INCDEC_99
	RETURN
REM ===============================================================================================
REM  END THE PROCEDURE
REM ===============================================================================================
*END_MOVE
	CLOSE #1
	END
REM ===============================================================================================
REM  Error Interrapte
REM ===============================================================================================
*ERROR_PROC
	BASERR=ERR
	IF ERR=52 THEN OPENFLAG% = 0 : RESUME NEXT
	IF ERR=53 THEN OPENFLAG% = 0 : RESUME NEXT
	IF ERR=62 THEN RESUME NEXT
	LED(2)=TRUE
	GOSUB *LED
	DISP.MSG$="Error("+RIGHT$(STR$(ERR),2)+"):"+RIGHT$(STR$(ERL),5)
	GOSUB *DISP
	A$=""
	WHILE A$=""
		A$=INKEY$
	WEND
	PPAUSE
	END
REM
REM	========= 
REM
*DISP
	CLS
	LOCATE 1,1
	PRINT LEFT$(DISP.MSG$+SPACE$(16),16)
	RETURN
REM
REM	========= 
REM
*LED
	IF LED(0)=TRUE THEN LED0 ON ELSE LED0 OFF				'POWER LED
	IF LED(1)=TRUE THEN LED1 ON ELSE LED1 OFF				'ONLINE LED
	IF LED(2)=TRUE THEN LED2 ON ELSE LED2 OFF   		 	'ERROR LED
	RETURN
REM
REM ===============================================================================================
REM  *I2NIBBLE_16
REM   l I2N_I_16%   I2N_NIBBLE_16$ ɕϊ@iz+ϐ 삹j
REM ===============================================================================================
*I2NIBBLE_16												'09-02-27 AIS:
	IF I2N_I_16% = 0	THEN I2N_NIBBLE_16$ = "0" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 1	THEN I2N_NIBBLE_16$ = "1" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 2	THEN I2N_NIBBLE_16$ = "2" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 3	THEN I2N_NIBBLE_16$ = "3" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 4	THEN I2N_NIBBLE_16$ = "4" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 5	THEN I2N_NIBBLE_16$ = "5" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 6	THEN I2N_NIBBLE_16$ = "6" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 7	THEN I2N_NIBBLE_16$ = "7" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 8	THEN I2N_NIBBLE_16$ = "8" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 9	THEN I2N_NIBBLE_16$ = "9" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 10	THEN I2N_NIBBLE_16$ = "A" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 11	THEN I2N_NIBBLE_16$ = "B" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 12	THEN I2N_NIBBLE_16$ = "C" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 13	THEN I2N_NIBBLE_16$ = "D" : RETURN	'09-02-27 AIS:
	IF I2N_I_16% = 14	THEN I2N_NIBBLE_16$ = "E" : RETURN	'09-02-27 AIS:
				     I2N_NIBBLE_16$ = "F" : RETURN			'09-02-27 AIS:
REM ===============================================================================================
REM  *NIBBLE2I_16
REM    I2N_NIBBLE_16$  l I2N_I_16% ɕϊ@iz+ϐ 삹j
REM ===============================================================================================
*NIBBLE2I_16												'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "0"	THEN I2N_I_16% = 0	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "1"	THEN I2N_I_16% = 1	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "2"	THEN I2N_I_16% = 2	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "3"	THEN I2N_I_16% = 3	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "4"	THEN I2N_I_16% = 4	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "5"	THEN I2N_I_16% = 5	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "6"	THEN I2N_I_16% = 6	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "7"	THEN I2N_I_16% = 7	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "8"	THEN I2N_I_16% = 8	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "9"	THEN I2N_I_16% = 9	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "A"	THEN I2N_I_16% = 10	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "B"	THEN I2N_I_16% = 11	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "C"	THEN I2N_I_16% = 12	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "D"	THEN I2N_I_16% = 13	: RETURN	'09-02-27 AIS:
	IF I2N_NIBBLE_16$ = "E"	THEN I2N_I_16% = 14	: RETURN	'09-02-27 AIS:
				     I2N_I_16% = 15	: RETURN				'09-02-27 AIS:
REM ===============================================================================================
REM  end...
REM ===============================================================================================
